Munic GraphQL API
Exploring the API
- Learn about GraphQL itself.
- Use the web client for quick API experiments.
- View the schema as a visual graph.
- Connect your app to this API endpoint
- Download the schema definition
- Check the API version and status
Authentication
Most queries require an authenticated user.
See auth service to obain a token, and provide your auth token in the Authorization: Bearer <YOUR_JSON_WEB_TOKEN_HERE> http header.
Main objects
- Accounts represent your user and what it has access to.
- Devices are Munic devices (obd dongle...) plugged into a vehicle.
- Vehicles are cars, trucks, etc.
- Groups contain accounts, devices, vehicles, and other groups. They help organizing assets and permissions. They are the starting point for most searches.
Pagination
Data that is potentially to big for a single reply gets split into pages, that can be queried one at a time.
Paginated data is an object with count, next, and list fields:
listcontains the actual elements.countis the total number of elements over all pages. It may be unknown (null).nextis an opaque id to fetch the next page of data in another query. It is null for the last page.- Some simple-but-large paginated data like battery readings use multiple
foo: [SimpleType]fields instead a singlelist: [ComplexType]field, to reduce network/parsing overhead.
Queries returning paginated data take one of these arguments:
page_size, the default and max value depends on the queried data.page_id, copied from thenextfield of a previous query.
Support
Queries
account
Description
Get account info
Response
Returns an Account
Arguments
| Name | Description |
|---|---|
id - ID
|
Account id. Defaults to logged-in user. |
Example
Query
query account($id: ID) {
account(id: $id) {
id
organizationId
email
phone
fullName
shortName
companyName
countryCode
language
timeZone
createdAt
updatedAt
lastSignInAt
confirmedAt
descriptions {
...DescriptionPagedFragment
}
roles {
...AccountRoleFragment
}
groups {
...GroupPagedFragment
}
devices {
...DevicePagedFragment
}
vehicles {
...VehiclePagedFragment
}
drivers {
...DriverPagedFragment
}
driverProfiles {
...DriverPagedFragment
}
driverContacts {
...DriverPagedFragment
}
workshops {
...WorkshopPagedFragment
}
distributors {
...OnboardingDistributorPagedFragment
}
alertPreference {
...AlertPreferenceFragment
}
}
}
Variables
{"id": "4"}
Response
{
"data": {
"account": {
"id": 4,
"organizationId": "4",
"email": "abc123",
"phone": "xyz789",
"fullName": "abc123",
"shortName": "abc123",
"companyName": "abc123",
"countryCode": "xyz789",
"language": Language,
"timeZone": "xyz789",
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z",
"lastSignInAt": "2007-12-03T10:15:30Z",
"confirmedAt": "2007-12-03T10:15:30Z",
"descriptions": DescriptionPaged,
"roles": [AccountRole],
"groups": GroupPaged,
"devices": DevicePaged,
"vehicles": VehiclePaged,
"drivers": DriverPaged,
"driverProfiles": DriverPaged,
"driverContacts": DriverPaged,
"workshops": WorkshopPaged,
"distributors": OnboardingDistributorPaged,
"alertPreference": AlertPreference
}
}
}
accounts
Description
List accounts
Response
Returns an AccountPaged
Example
Query
query accounts(
$pageSize: Int,
$pageId: ID,
$ids: [ID!],
$email: String,
$fullName: String,
$shortName: String,
$phone: String
) {
accounts(
pageSize: $pageSize,
pageId: $pageId,
ids: $ids,
email: $email,
fullName: $fullName,
shortName: $shortName,
phone: $phone
) {
next
count
list {
...AccountFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": "4",
"ids": [4],
"email": "xyz789",
"fullName": "abc123",
"shortName": "abc123",
"phone": "xyz789"
}
Response
{
"data": {
"accounts": {
"next": 4,
"count": 987,
"list": [Account]
}
}
}
alertFeedbacks
Description
List alert feedbacks
Response
Returns a VehicleAlertFeedbackPaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
alertIds - [ID!]
|
Filter by alert ids |
language - LangArg
|
Filter by feedback language |
status - VehicleAlertFeedbackStatusArg
|
Filter by feedback status |
Example
Query
query alertFeedbacks(
$pageSize: Int,
$pageId: ID,
$alertIds: [ID!],
$language: LangArg,
$status: VehicleAlertFeedbackStatusArg
) {
alertFeedbacks(
pageSize: $pageSize,
pageId: $pageId,
alertIds: $alertIds,
language: $language,
status: $status
) {
next
count
list {
...VehicleAlertFeedbackFragment
}
}
}
Variables
{
"pageSize": 987,
"pageId": 4,
"alertIds": ["4"],
"language": "EN",
"status": "NO"
}
Response
{
"data": {
"alertFeedbacks": {
"next": "4",
"count": 123,
"list": [VehicleAlertFeedback]
}
}
}
alertTemplate
Description
Get template
Response
Returns an AlertTemplate
Arguments
| Name | Description |
|---|---|
id - ID!
|
Example
Query
query alertTemplate($id: ID!) {
alertTemplate(id: $id) {
id
name
version
contentType
defaultContext
locked
channelName
createdAt
updatedAt
definition
attachments {
...AlertAttachmentPagedFragment
}
}
}
Variables
{"id": "4"}
Response
{
"data": {
"alertTemplate": {
"id": "4",
"name": "abc123",
"version": "abc123",
"contentType": "TEXT",
"defaultContext": Json,
"locked": false,
"channelName": "abc123",
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z",
"definition": "abc123",
"attachments": AlertAttachmentPaged
}
}
}
alertTemplates
Description
List templates
Response
Returns an AlertTemplatePaged
Example
Query
query alertTemplates(
$pageSize: Int,
$pageId: ID
) {
alertTemplates(
pageSize: $pageSize,
pageId: $pageId
) {
next
count
list {
...AlertTemplateFragment
}
}
}
Variables
{"pageSize": 987, "pageId": "4"}
Response
{
"data": {
"alertTemplates": {
"next": "4",
"count": 987,
"list": [AlertTemplate]
}
}
}
alpr
Description
Recognize plate from image
Response
Returns an Alpr
Arguments
| Name | Description |
|---|---|
vehiclePicture - String!
|
vehicle picture type String and required / value in 64b and supports jpg,jpeg,png ... except GIF |
country - String!
|
vehicle country type string and required / value supports country code such as fr, it , al, ad , ao, ect .. |
region - String
|
vehicle region type string and optional / values are supported region Codes, they are made for United States of America plates: nc, ak, az, ct, ect … |
year - Int
|
vehicle manufacturing year type integer and optional / supported value are a valid year such as 1990,2001,2009 ... |
Example
Query
query alpr(
$vehiclePicture: String!,
$country: String!,
$region: String,
$year: Int
) {
alpr(
vehiclePicture: $vehiclePicture,
country: $country,
region: $region,
year: $year
) {
vehicle {
...VehicleInfoFragment
}
plate {
...PlateFragment
}
}
}
Variables
{
"vehiclePicture": "xyz789",
"country": "xyz789",
"region": "abc123",
"year": 987
}
Response
{
"data": {
"alpr": {
"vehicle": VehicleInfo,
"plate": Plate
}
}
}
booking
Description
Get booking by ID
Example
Query
query booking($id: ID!) {
booking(id: $id) {
id
plateNumber
bookingDate
status
quotationIds
workshop {
...WorkshopFragment
}
vehicleMake
vehicleModel
vehicleYear
vin
city
country
additionalInformation
preferredLanguage
contactMethod
userEmail
userName
userPhoneNumber
}
}
Variables
{"id": "4"}
Response
{
"data": {
"booking": {
"id": "4",
"plateNumber": "xyz789",
"bookingDate": "2007-12-03T10:15:30Z",
"status": "PENDING",
"quotationIds": [4],
"workshop": Workshop,
"vehicleMake": "abc123",
"vehicleModel": "xyz789",
"vehicleYear": "xyz789",
"vin": "abc123",
"city": "xyz789",
"country": "xyz789",
"additionalInformation": "xyz789",
"preferredLanguage": Language,
"contactMethod": "SMS",
"userEmail": "abc123",
"userName": "abc123",
"userPhoneNumber": "abc123"
}
}
}
bookings
Description
List Bookings
Response
Returns a BookingPaged
Example
Query
query bookings(
$pageSize: Int,
$pageId: ID
) {
bookings(
pageSize: $pageSize,
pageId: $pageId
) {
next
count
list {
...BookingFragment
}
}
}
Variables
{"pageSize": 987, "pageId": 4}
Response
{
"data": {
"bookings": {
"next": 4,
"count": 123,
"list": [Booking]
}
}
}
cache
Description
Configure server-side query cache
Tweak this to bias toward performance or data freshness. The configuration is tied to your login token.
Response
Returns a CacheInfo
Arguments
| Name | Description |
|---|---|
scope - CacheScope
|
Cache scope (default LOGIN) |
ttl - Int
|
Time to live of future entries (default 5 seconds) |
extendTtl - Boolean
|
Wether cache hits extend the time to live (default false) |
saveSettings - Boolean
|
Wether settings should be applied for the duration of the SSO login (default true) |
softFlush - Boolean
|
Ignore old cache entries in the scope |
flush - Boolean
|
Remove all cache entries from the scope |
Example
Query
query cache(
$scope: CacheScope,
$ttl: Int,
$extendTtl: Boolean,
$saveSettings: Boolean,
$softFlush: Boolean,
$flush: Boolean
) {
cache(
scope: $scope,
ttl: $ttl,
extendTtl: $extendTtl,
saveSettings: $saveSettings,
softFlush: $softFlush,
flush: $flush
) {
scope
ttl
extendTtl
softFlush
}
}
Variables
{
"scope": "REQUEST",
"ttl": 987,
"extendTtl": false,
"saveSettings": false,
"softFlush": true,
"flush": true
}
Response
{
"data": {
"cache": {
"scope": "REQUEST",
"ttl": 123,
"extendTtl": true,
"softFlush": "xyz789"
}
}
}
campaign
Example
Query
query campaign($id: ID!) {
campaign(id: $id) {
id
name
status
createdAt
devicesStatus {
...CampaignDeviceFragment
}
configurations
}
}
Variables
{"id": 4}
Response
{
"data": {
"campaign": {
"id": "4",
"name": "xyz789",
"status": "AVAILABLE_UPDATE",
"createdAt": "2007-12-03T10:15:30Z",
"devicesStatus": [CampaignDevice],
"configurations": ["4"]
}
}
}
campaigns
Response
Returns a CampaignPaged
Example
Query
query campaigns(
$pageSize: Int,
$pageId: ID,
$archived: Boolean
) {
campaigns(
pageSize: $pageSize,
pageId: $pageId,
archived: $archived
) {
next
count
list {
...CampaignFragment
}
}
}
Variables
{
"pageSize": 987,
"pageId": "4",
"archived": true
}
Response
{
"data": {
"campaigns": {
"next": "4",
"count": 123,
"list": [Campaign]
}
}
}
clientIdentifications
Description
List client identifications
Response
Returns a ClientIdentificationPaged
Example
Query
query clientIdentifications(
$pageSize: Int,
$pageId: ID,
$code: String,
$label: String,
$distributorId: ID,
$clientReference: ID,
$defaultAccountId: ID,
$usable: Boolean,
$revoked: Boolean
) {
clientIdentifications(
pageSize: $pageSize,
pageId: $pageId,
code: $code,
label: $label,
distributorId: $distributorId,
clientReference: $clientReference,
defaultAccountId: $defaultAccountId,
usable: $usable,
revoked: $revoked
) {
next
count
list {
...ClientIdentificationFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": "4",
"code": "abc123",
"label": "abc123",
"distributorId": "4",
"clientReference": 4,
"defaultAccountId": 4,
"usable": true,
"revoked": false
}
Response
{
"data": {
"clientIdentifications": {
"next": 4,
"count": 123,
"list": [ClientIdentification]
}
}
}
coverageBlacklists
Description
Parameter coverage info for a given type of vehicle
Response
Returns a CoverageBlacklistPaged
Example
Query
query coverageBlacklists(
$pageSize: Int,
$pageId: ID,
$ids: [ID!],
$makes: [String!],
$models: [String!],
$years: [Int!]
) {
coverageBlacklists(
pageSize: $pageSize,
pageId: $pageId,
ids: $ids,
makes: $makes,
models: $models,
years: $years
) {
next
count
list {
...CoverageBlacklistFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": "4",
"ids": [4],
"makes": ["abc123"],
"models": ["abc123"],
"years": [987]
}
Response
{
"data": {
"coverageBlacklists": {
"next": 4,
"count": 123,
"list": [CoverageBlacklist]
}
}
}
coverageMakes
Response
Returns a CoverageMakePaged
Example
Query
query coverageMakes(
$pageSize: Int,
$pageId: ID,
$name: String
) {
coverageMakes(
pageSize: $pageSize,
pageId: $pageId,
name: $name
) {
next
count
list {
...CoverageMakeFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": 4,
"name": "abc123"
}
Response
{
"data": {
"coverageMakes": {
"next": "4",
"count": 123,
"list": [CoverageMake]
}
}
}
coverageModels
Response
Returns a CoverageModelPaged
Example
Query
query coverageModels(
$pageSize: Int,
$pageId: ID,
$makes: [String!]
) {
coverageModels(
pageSize: $pageSize,
pageId: $pageId,
makes: $makes
) {
next
count
list {
...CoverageModelFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": 4,
"makes": ["xyz789"]
}
Response
{
"data": {
"coverageModels": {
"next": "4",
"count": 123,
"list": [CoverageModel]
}
}
}
coverageVehicles
Description
Parameter coverage info for a given type of vehicle
Response
Returns a CoverageVehiclePaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
ids - [ID!]
|
Filter by ids |
makes - [String!]
|
Filter by vehicle make |
models - [String!]
|
Filter by vehicle model |
years - [Int!]
|
Filter by vehicle year |
energyTypes - [CoverageEnergyTypeArg!]
|
Filter by vehicle energy type |
regions - [CoverageRegionArg!]
|
Filter by world region |
powertrain - CoveragePowertrainArg
|
Filter by powertrain |
vin - [String!]
|
Filter by VIN |
parameters - [String!]
|
Filter by covered parameters |
blacklisted - Boolean
|
Filter by blacklist status |
Example
Query
query coverageVehicles(
$pageSize: Int,
$pageId: ID,
$ids: [ID!],
$makes: [String!],
$models: [String!],
$years: [Int!],
$energyTypes: [CoverageEnergyTypeArg!],
$regions: [CoverageRegionArg!],
$powertrain: CoveragePowertrainArg,
$vin: [String!],
$parameters: [String!],
$blacklisted: Boolean
) {
coverageVehicles(
pageSize: $pageSize,
pageId: $pageId,
ids: $ids,
makes: $makes,
models: $models,
years: $years,
energyTypes: $energyTypes,
regions: $regions,
powertrain: $powertrain,
vin: $vin,
parameters: $parameters,
blacklisted: $blacklisted
) {
next
count
list {
...CoverageVehicleFragment
}
}
}
Variables
{
"pageSize": 987,
"pageId": 4,
"ids": ["4"],
"makes": ["abc123"],
"models": ["abc123"],
"years": [987],
"energyTypes": ["DIESEL"],
"regions": ["EUROPE"],
"powertrain": "ICE",
"vin": ["abc123"],
"parameters": ["abc123"],
"blacklisted": true
}
Response
{
"data": {
"coverageVehicles": {
"next": "4",
"count": 123,
"list": [CoverageVehicle]
}
}
}
decodeDtcs
Description
Get list of dtc codes description & related informations
Response
Returns [Dtc]
Arguments
| Name | Description |
|---|---|
vin - String!
|
VIN of vehicle related to the codes |
codes - [String]!
|
List of DTC codes to be decoded |
protocol - DtcProtocol!
|
Protocol used for communicating with the vehicle |
region - DtcRegion!
|
Decoding region |
make - String
|
Vehicle's make |
language - Language
|
Decoded information display language |
oem - Boolean
|
Should be set to True, if codes are known to be oem specific. |
Example
Query
query decodeDtcs(
$vin: String!,
$codes: [String]!,
$protocol: DtcProtocol!,
$region: DtcRegion!,
$make: String,
$language: Language,
$oem: Boolean
) {
decodeDtcs(
vin: $vin,
codes: $codes,
protocol: $protocol,
region: $region,
make: $make,
language: $language,
oem: $oem
) {
id
code
description
subdescription
information
cause
effect
recommendation
warning
classification
mdiDtc
protocol
warningImg
systemCategory
riskSafety
riskDamage
riskAvailability
riskEmissions
}
}
Variables
{
"vin": "abc123",
"codes": ["xyz789"],
"protocol": "OBD2",
"region": "EU",
"make": "abc123",
"language": Language,
"oem": false
}
Response
{
"data": {
"decodeDtcs": [
{
"id": 4,
"code": "xyz789",
"description": "abc123",
"subdescription": "abc123",
"information": "xyz789",
"cause": "abc123",
"effect": "abc123",
"recommendation": "xyz789",
"warning": "xyz789",
"classification": "xyz789",
"mdiDtc": "abc123",
"protocol": "xyz789",
"warningImg": "abc123",
"systemCategory": "xyz789",
"riskSafety": "NO",
"riskDamage": "NO",
"riskAvailability": "NO",
"riskEmissions": "NO"
}
]
}
}
decodePlate
Description
Get list of vehicle descriptions by Plate & Country
Response
Returns [DecodeVinResult!]
Example
Query
query decodePlate(
$plate: String!,
$country: String!
) {
decodePlate(
plate: $plate,
country: $country
) {
id
vin
kba
kType
decodingRegion
dayOfFirstCirculation
dayOfSale
monthOfFirstCirculation
monthOfSale
yearOfFirstCirculation
yearOfSale
acceleration
advancedModel
bodyType
bodyTypeCode
brakesAbs
brakesFrontType
brakesRearType
brakesSystem
cargoCapacity
co2Emission
coEmission
color
companyId
country
critair
curbWeight
doors
driveType
electricVehicleBatteryCapacity
electricVehicleBatteryVoltage
emissionStandard
engineAspiration
engineBore
engineCode
engineConfiguration
engineCylinderHeadType
engineCylinders
engineDisplacement
engineExtra
engineFiscalPower
engineFuelType
engineFuelTypeSecondary
engineFuelTypeTertiary
engineIgnitionSystem
engineManufacturer
engineOutputPower
engineOutputPowerPs
engineRpmIdleMax
engineRpmIdleMin
engineRpmMax
engineStroke
engineValves
engineVersion
engineWithTurbo
extraInfo {
...VinExtraInfoFragment
}
frontOverhang
frontTrack
fuelEfficiencyCity
fuelEfficiencyCombined
fuelEfficiencyHighway
fuelInjectionControlType
fuelInjectionSubtype
fuelInjectionSystemDesign
fuelInjectionType
gearboxSpeed
gearboxType
grossWeight
hcEmission
hcNoxEmission
height
hipRoomFront
hipRoomRear
length
manufacturer
make
maxRoofLoad
maxTowBarDownload
maxTrailerLoadBLicense
maxTrailerLoadBraked12
maxTrailerLoadUnbraked
model
modelCode
modelVersionCode
noxEmission
oilTemperatureEmission
options {
...DescriptionOptionFragment
}
plate
price
rearOverhang
rearTrack
seats
sliBatteryCapacity
springsFrontType
springsRearType
steeringSystem
steeringType
tankVolume
topSpeed
transmissionElectronicControl
transmissionManufacturerCode
transmissionType
trunkVolume
urlVehicleImage
vehicleType
verified
wheelBase
wheelsDimension
width
}
}
Variables
{
"plate": "xyz789",
"country": "abc123"
}
Response
{
"data": {
"decodePlate": [
{
"id": 4,
"vin": "xyz789",
"kba": "4",
"kType": "xyz789",
"decodingRegion": "abc123",
"dayOfFirstCirculation": 123,
"dayOfSale": 123,
"monthOfFirstCirculation": 123,
"monthOfSale": 987,
"yearOfFirstCirculation": 123,
"yearOfSale": 987,
"acceleration": 987.65,
"advancedModel": "abc123",
"bodyType": "xyz789",
"bodyTypeCode": "xyz789",
"brakesAbs": "abc123",
"brakesFrontType": "abc123",
"brakesRearType": "xyz789",
"brakesSystem": "xyz789",
"cargoCapacity": 123,
"co2Emission": 123,
"coEmission": 123.45,
"color": "xyz789",
"companyId": "4",
"country": "abc123",
"critair": "xyz789",
"curbWeight": 987,
"doors": 123,
"driveType": "abc123",
"electricVehicleBatteryCapacity": 123.45,
"electricVehicleBatteryVoltage": 987.65,
"emissionStandard": "xyz789",
"engineAspiration": "xyz789",
"engineBore": 123.45,
"engineCode": "abc123",
"engineConfiguration": "xyz789",
"engineCylinderHeadType": "abc123",
"engineCylinders": 987,
"engineDisplacement": 987,
"engineExtra": "abc123",
"engineFiscalPower": 987,
"engineFuelType": "OTHER",
"engineFuelTypeSecondary": "OTHER",
"engineFuelTypeTertiary": "OTHER",
"engineIgnitionSystem": "abc123",
"engineManufacturer": "abc123",
"engineOutputPower": 987,
"engineOutputPowerPs": 987,
"engineRpmIdleMax": 987,
"engineRpmIdleMin": 987,
"engineRpmMax": 123,
"engineStroke": 987.65,
"engineValves": 123,
"engineVersion": "xyz789",
"engineWithTurbo": true,
"extraInfo": VinExtraInfo,
"frontOverhang": 123,
"frontTrack": 123,
"fuelEfficiencyCity": 123.45,
"fuelEfficiencyCombined": 123.45,
"fuelEfficiencyHighway": 123.45,
"fuelInjectionControlType": "xyz789",
"fuelInjectionSubtype": "xyz789",
"fuelInjectionSystemDesign": "abc123",
"fuelInjectionType": "abc123",
"gearboxSpeed": 123,
"gearboxType": "abc123",
"grossWeight": 123,
"hcEmission": 123.45,
"hcNoxEmission": 987.65,
"height": 987,
"hipRoomFront": 123,
"hipRoomRear": 987,
"length": 123,
"manufacturer": "abc123",
"make": "abc123",
"maxRoofLoad": 123,
"maxTowBarDownload": 987,
"maxTrailerLoadBLicense": 987,
"maxTrailerLoadBraked12": 987,
"maxTrailerLoadUnbraked": 987,
"model": "abc123",
"modelCode": "abc123",
"modelVersionCode": "xyz789",
"noxEmission": 987.65,
"oilTemperatureEmission": 123.45,
"options": [DescriptionOption],
"plate": "abc123",
"price": 123,
"rearOverhang": 987,
"rearTrack": 987,
"seats": 987,
"sliBatteryCapacity": 123.45,
"springsFrontType": "abc123",
"springsRearType": "abc123",
"steeringSystem": "xyz789",
"steeringType": "abc123",
"tankVolume": 123,
"topSpeed": 987,
"transmissionElectronicControl": "abc123",
"transmissionManufacturerCode": "abc123",
"transmissionType": "xyz789",
"trunkVolume": 123,
"urlVehicleImage": "abc123",
"vehicleType": "xyz789",
"verified": false,
"wheelBase": 123,
"wheelsDimension": "abc123",
"width": 123
}
]
}
}
decodeVin
Description
Get list of vehicle descriptions by VIN and region (optional)
Response
Returns [DecodeVinResult!]
Arguments
| Name | Description |
|---|---|
vin - String!
|
Vehicle Identification Number to decode |
deviceId - ID
|
Device imei |
region - String
|
Decode region (africa, asia, europe, north america, south america, oceania) |
kba - ID
|
Kraftfahrbundesamt (Germany and Austria) |
kType - ID
|
k_type number (also known as techdoc number) |
Example
Query
query decodeVin(
$vin: String!,
$deviceId: ID,
$region: String,
$kba: ID,
$kType: ID
) {
decodeVin(
vin: $vin,
deviceId: $deviceId,
region: $region,
kba: $kba,
kType: $kType
) {
id
vin
kba
kType
decodingRegion
dayOfFirstCirculation
dayOfSale
monthOfFirstCirculation
monthOfSale
yearOfFirstCirculation
yearOfSale
acceleration
advancedModel
bodyType
bodyTypeCode
brakesAbs
brakesFrontType
brakesRearType
brakesSystem
cargoCapacity
co2Emission
coEmission
color
companyId
country
critair
curbWeight
doors
driveType
electricVehicleBatteryCapacity
electricVehicleBatteryVoltage
emissionStandard
engineAspiration
engineBore
engineCode
engineConfiguration
engineCylinderHeadType
engineCylinders
engineDisplacement
engineExtra
engineFiscalPower
engineFuelType
engineFuelTypeSecondary
engineFuelTypeTertiary
engineIgnitionSystem
engineManufacturer
engineOutputPower
engineOutputPowerPs
engineRpmIdleMax
engineRpmIdleMin
engineRpmMax
engineStroke
engineValves
engineVersion
engineWithTurbo
extraInfo {
...VinExtraInfoFragment
}
frontOverhang
frontTrack
fuelEfficiencyCity
fuelEfficiencyCombined
fuelEfficiencyHighway
fuelInjectionControlType
fuelInjectionSubtype
fuelInjectionSystemDesign
fuelInjectionType
gearboxSpeed
gearboxType
grossWeight
hcEmission
hcNoxEmission
height
hipRoomFront
hipRoomRear
length
manufacturer
make
maxRoofLoad
maxTowBarDownload
maxTrailerLoadBLicense
maxTrailerLoadBraked12
maxTrailerLoadUnbraked
model
modelCode
modelVersionCode
noxEmission
oilTemperatureEmission
options {
...DescriptionOptionFragment
}
plate
price
rearOverhang
rearTrack
seats
sliBatteryCapacity
springsFrontType
springsRearType
steeringSystem
steeringType
tankVolume
topSpeed
transmissionElectronicControl
transmissionManufacturerCode
transmissionType
trunkVolume
urlVehicleImage
vehicleType
verified
wheelBase
wheelsDimension
width
}
}
Variables
{
"vin": "xyz789",
"deviceId": 4,
"region": "abc123",
"kba": "4",
"kType": "4"
}
Response
{
"data": {
"decodeVin": [
{
"id": 4,
"vin": "abc123",
"kba": 4,
"kType": "abc123",
"decodingRegion": "abc123",
"dayOfFirstCirculation": 123,
"dayOfSale": 123,
"monthOfFirstCirculation": 123,
"monthOfSale": 987,
"yearOfFirstCirculation": 987,
"yearOfSale": 123,
"acceleration": 987.65,
"advancedModel": "xyz789",
"bodyType": "abc123",
"bodyTypeCode": "abc123",
"brakesAbs": "xyz789",
"brakesFrontType": "xyz789",
"brakesRearType": "xyz789",
"brakesSystem": "xyz789",
"cargoCapacity": 123,
"co2Emission": 123,
"coEmission": 123.45,
"color": "abc123",
"companyId": "4",
"country": "abc123",
"critair": "xyz789",
"curbWeight": 987,
"doors": 123,
"driveType": "xyz789",
"electricVehicleBatteryCapacity": 123.45,
"electricVehicleBatteryVoltage": 123.45,
"emissionStandard": "abc123",
"engineAspiration": "xyz789",
"engineBore": 123.45,
"engineCode": "xyz789",
"engineConfiguration": "abc123",
"engineCylinderHeadType": "abc123",
"engineCylinders": 987,
"engineDisplacement": 987,
"engineExtra": "xyz789",
"engineFiscalPower": 123,
"engineFuelType": "OTHER",
"engineFuelTypeSecondary": "OTHER",
"engineFuelTypeTertiary": "OTHER",
"engineIgnitionSystem": "abc123",
"engineManufacturer": "xyz789",
"engineOutputPower": 987,
"engineOutputPowerPs": 987,
"engineRpmIdleMax": 987,
"engineRpmIdleMin": 987,
"engineRpmMax": 123,
"engineStroke": 123.45,
"engineValves": 123,
"engineVersion": "abc123",
"engineWithTurbo": false,
"extraInfo": VinExtraInfo,
"frontOverhang": 123,
"frontTrack": 987,
"fuelEfficiencyCity": 987.65,
"fuelEfficiencyCombined": 987.65,
"fuelEfficiencyHighway": 123.45,
"fuelInjectionControlType": "xyz789",
"fuelInjectionSubtype": "abc123",
"fuelInjectionSystemDesign": "abc123",
"fuelInjectionType": "xyz789",
"gearboxSpeed": 123,
"gearboxType": "xyz789",
"grossWeight": 123,
"hcEmission": 123.45,
"hcNoxEmission": 987.65,
"height": 123,
"hipRoomFront": 123,
"hipRoomRear": 123,
"length": 123,
"manufacturer": "abc123",
"make": "abc123",
"maxRoofLoad": 987,
"maxTowBarDownload": 987,
"maxTrailerLoadBLicense": 987,
"maxTrailerLoadBraked12": 123,
"maxTrailerLoadUnbraked": 987,
"model": "abc123",
"modelCode": "abc123",
"modelVersionCode": "abc123",
"noxEmission": 987.65,
"oilTemperatureEmission": 123.45,
"options": [DescriptionOption],
"plate": "abc123",
"price": 987,
"rearOverhang": 123,
"rearTrack": 123,
"seats": 123,
"sliBatteryCapacity": 123.45,
"springsFrontType": "abc123",
"springsRearType": "abc123",
"steeringSystem": "xyz789",
"steeringType": "xyz789",
"tankVolume": 987,
"topSpeed": 123,
"transmissionElectronicControl": "xyz789",
"transmissionManufacturerCode": "abc123",
"transmissionType": "abc123",
"trunkVolume": 987,
"urlVehicleImage": "xyz789",
"vehicleType": "xyz789",
"verified": false,
"wheelBase": 123,
"wheelsDimension": "abc123",
"width": 123
}
]
}
}
defect
Example
Query
query defect($id: ID!) {
defect(id: $id) {
id
vehicleId
description
status
resolvedAt
inspectionItemId
inspectionAnswerId
reportedInInspectionReportId
reportedByDriverId
resolvedByUserId
resolvedInInspectionReportId
createdAt
updatedAt
vehicle {
...VehicleFragment
}
inspectionItem {
...InspectionItemFragment
}
reportedByDriver {
...DriverFragment
}
reportedInInspectionReport {
...InspectionReportFragment
}
resolvedInInspectionReport {
...InspectionReportFragment
}
resolvedByUser {
...AccountFragment
}
attachments {
...DvirAttachmentPagedFragment
}
}
}
Variables
{"id": 4}
Response
{
"data": {
"defect": {
"id": 4,
"vehicleId": "4",
"description": "abc123",
"status": "DRAFT",
"resolvedAt": "2007-12-03T10:15:30Z",
"inspectionItemId": "4",
"inspectionAnswerId": 4,
"reportedInInspectionReportId": 4,
"reportedByDriverId": "4",
"resolvedByUserId": 4,
"resolvedInInspectionReportId": "4",
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z",
"vehicle": Vehicle,
"inspectionItem": InspectionItem,
"reportedByDriver": Driver,
"reportedInInspectionReport": InspectionReport,
"resolvedInInspectionReport": InspectionReport,
"resolvedByUser": Account,
"attachments": DvirAttachmentPaged
}
}
}
defects
Response
Returns a DefectPaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
vehicleId - ID
|
|
status - DvirDefectStatus
|
|
inspectionItemId - ID
|
Example
Query
query defects(
$pageSize: Int,
$pageId: ID,
$vehicleId: ID,
$status: DvirDefectStatus,
$inspectionItemId: ID
) {
defects(
pageSize: $pageSize,
pageId: $pageId,
vehicleId: $vehicleId,
status: $status,
inspectionItemId: $inspectionItemId
) {
next
count
list {
...DefectFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": "4",
"vehicleId": 4,
"status": "DRAFT",
"inspectionItemId": 4
}
Response
{
"data": {
"defects": {
"next": "4",
"count": 123,
"list": [Defect]
}
}
}
description
Response
Returns a Description
Arguments
| Name | Description |
|---|---|
subject - DescriptionSubject!
|
|
id - ID!
|
Example
Query
query description(
$subject: DescriptionSubject!,
$id: ID!
) {
description(
subject: $subject,
id: $id
) {
id
label
value
source
createdAt
updatedAt
}
}
Variables
{
"subject": DescriptionSubject,
"id": "4"
}
Response
{
"data": {
"description": {
"id": 4,
"label": "abc123",
"value": "abc123",
"source": "xyz789",
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z"
}
}
}
device
Example
Query
query device($id: ID!) {
device(id: $id) {
id
activeAccount
deviceType
serialNumber
onboarded
createdAt
updatedAt
owner {
...AccountFragment
}
firstConnectionAt
lastConnectionAt
lastConnectionReason
lastDisconnectionAt
lastDisconnectionReason
lastActivityAt
status
history {
...DeviceHistoryPagedFragment
}
mobilityTransactions {
...MobilityTransactionPagedFragment
}
mobilityTransactionAnomalies {
...MobilityTransactionAnomalyPagedFragment
}
aggregatedData {
...AggregatedDataFragment
}
lastTrip {
...TripFragment
}
trips {
...TripPagedFragment
}
tripSummary {
...TripSummaryFragment
}
mobilityTransactionStatistics {
...MobilityTransactionsStatisticRowFragment
}
mobilityTransactionAnomalyStatistics {
...MobilityTransactionAnomaliesStatisticRowFragment
}
harshes {
...TripHarshPagedFragment
}
overspeeds {
...TripOverspeedPagedFragment
}
currentVehicle {
...VehicleFragment
}
vehicles {
...VehiclePagedFragment
}
fields {
...FieldPagedFragment
}
readings {
...ReadingPagedFragment
}
readingsAnon {
...ReadingAnonPagedFragment
}
lastPosition {
...CoordinatesFragment
}
vehicleSessions {
...DeviceVehicleSessionPagedFragment
}
groups {
...GroupPagedFragment
}
alerts {
...VehicleAlertPagedFragment
}
alertsState {
...VehicleAlertsStateFragment
}
batteryAnnotations {
...BatteryAnnotationPagedFragment
}
remoteDiags {
...RemoteDiagPagedFragment
}
logFetches {
...LogfetchPagedFragment
}
profilePrivacies {
...ProfilePrivacyPagedFragment
}
profilePrivacy {
...ProfilePrivacyFragment
}
profileModes {
...ProfileDeviceModePagedFragment
}
profileMode {
...ProfileDeviceModeFragment
}
product {
...ProductFragment
}
}
}
Variables
{"id": "4"}
Response
{
"data": {
"device": {
"id": 4,
"activeAccount": "xyz789",
"deviceType": "xyz789",
"serialNumber": "xyz789",
"onboarded": false,
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z",
"owner": Account,
"firstConnectionAt": "2007-12-03T10:15:30Z",
"lastConnectionAt": "2007-12-03T10:15:30Z",
"lastConnectionReason": "COLD_BOOT",
"lastDisconnectionAt": "2007-12-03T10:15:30Z",
"lastDisconnectionReason": "UNKNOWN_SERVER_REASON",
"lastActivityAt": "2007-12-03T10:15:30Z",
"status": "CONNECTED",
"history": DeviceHistoryPaged,
"mobilityTransactions": MobilityTransactionPaged,
"mobilityTransactionAnomalies": MobilityTransactionAnomalyPaged,
"aggregatedData": AggregatedData,
"lastTrip": Trip,
"trips": TripPaged,
"tripSummary": TripSummary,
"mobilityTransactionStatistics": [
MobilityTransactionsStatisticRow
],
"mobilityTransactionAnomalyStatistics": [
MobilityTransactionAnomaliesStatisticRow
],
"harshes": TripHarshPaged,
"overspeeds": TripOverspeedPaged,
"currentVehicle": Vehicle,
"vehicles": VehiclePaged,
"fields": FieldPaged,
"readings": ReadingPaged,
"readingsAnon": ReadingAnonPaged,
"lastPosition": Coordinates,
"vehicleSessions": DeviceVehicleSessionPaged,
"groups": GroupPaged,
"alerts": VehicleAlertPaged,
"alertsState": VehicleAlertsState,
"batteryAnnotations": BatteryAnnotationPaged,
"remoteDiags": RemoteDiagPaged,
"logFetches": LogfetchPaged,
"profilePrivacies": ProfilePrivacyPaged,
"profilePrivacy": ProfilePrivacy,
"profileModes": ProfileDeviceModePaged,
"profileMode": ProfileDeviceMode,
"product": Product
}
}
}
devices
Response
Returns a DevicePaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
ids - [ID]
|
|
onboarded - Boolean
|
|
statuses - [DeviceStatus!]
|
|
deviceTypes - [String]
|
|
hasWifi - Boolean
|
|
hasBluetooth - Boolean
|
|
productNames - [String!]
|
|
productNetworks - [ProductNetwork!]
|
|
productMarkets - [ProductMarket!]
|
Example
Query
query devices(
$pageSize: Int,
$pageId: ID,
$ids: [ID],
$onboarded: Boolean,
$statuses: [DeviceStatus!],
$deviceTypes: [String],
$hasWifi: Boolean,
$hasBluetooth: Boolean,
$productNames: [String!],
$productNetworks: [ProductNetwork!],
$productMarkets: [ProductMarket!]
) {
devices(
pageSize: $pageSize,
pageId: $pageId,
ids: $ids,
onboarded: $onboarded,
statuses: $statuses,
deviceTypes: $deviceTypes,
hasWifi: $hasWifi,
hasBluetooth: $hasBluetooth,
productNames: $productNames,
productNetworks: $productNetworks,
productMarkets: $productMarkets
) {
next
count
list {
...DeviceFragment
}
}
}
Variables
{
"pageSize": 987,
"pageId": 4,
"ids": ["4"],
"onboarded": true,
"statuses": ["CONNECTED"],
"deviceTypes": ["abc123"],
"hasWifi": true,
"hasBluetooth": false,
"productNames": ["xyz789"],
"productNetworks": ["_2G"],
"productMarkets": ["EU"]
}
Response
{
"data": {
"devices": {"next": 4, "count": 987, "list": [Device]}
}
}
distributor
Description
Get distributor
Response
Returns an OnboardingDistributor
Arguments
| Name | Description |
|---|---|
id - ID!
|
Example
Query
query distributor($id: ID!) {
distributor(id: $id) {
id
organizationId
label
provider {
...OnboardingProviderFragment
}
isActive
workshop {
...WorkshopFragment
}
providerWorkshopId
staff {
...OnboardingStaffPagedFragment
}
requests {
...OnboardingRequestPagedFragment
}
}
}
Variables
{"id": 4}
Response
{
"data": {
"distributor": {
"id": 4,
"organizationId": 4,
"label": "abc123",
"provider": OnboardingProvider,
"isActive": false,
"workshop": Workshop,
"providerWorkshopId": 4,
"staff": OnboardingStaffPaged,
"requests": OnboardingRequestPaged
}
}
}
distributors
Description
List distributors
Response
Returns an OnboardingDistributorPaged
Example
Query
query distributors(
$pageSize: Int,
$pageId: ID,
$isActive: Boolean
) {
distributors(
pageSize: $pageSize,
pageId: $pageId,
isActive: $isActive
) {
next
count
list {
...OnboardingDistributorFragment
}
}
}
Variables
{"pageSize": 987, "pageId": 4, "isActive": false}
Response
{
"data": {
"distributors": {
"next": 4,
"count": 987,
"list": [OnboardingDistributor]
}
}
}
driver
Example
Query
query driver($id: ID) {
driver(id: $id) {
id
label
idKey
createdAt
updatedAt
userProfile {
...AccountFragment
}
userContact {
...AccountFragment
}
currentVehicle {
...VehicleFragment
}
defaultVehicle {
...VehicleFragment
}
active
vehicles {
...VehiclePagedFragment
}
currentVehicles {
...VehiclePagedFragment
}
groups {
...GroupPagedFragment
}
lastTrip {
...TripFragment
}
trips {
...TripPagedFragment
}
vehicleSessions {
...DriverVehicleSessionPagedFragment
}
descriptions {
...DescriptionPagedFragment
}
mobilityTransactions {
...MobilityTransactionPagedFragment
}
mobilityTransactionAnomalies {
...MobilityTransactionAnomalyPagedFragment
}
}
}
Variables
{"id": "4"}
Response
{
"data": {
"driver": {
"id": 4,
"label": "abc123",
"idKey": "xyz789",
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z",
"userProfile": Account,
"userContact": Account,
"currentVehicle": Vehicle,
"defaultVehicle": Vehicle,
"active": false,
"vehicles": VehiclePaged,
"currentVehicles": VehiclePaged,
"groups": GroupPaged,
"lastTrip": Trip,
"trips": TripPaged,
"vehicleSessions": DriverVehicleSessionPaged,
"descriptions": DescriptionPaged,
"mobilityTransactions": MobilityTransactionPaged,
"mobilityTransactionAnomalies": MobilityTransactionAnomalyPaged
}
}
}
driverService
Description
Get Driver service by ID
Response
Returns a DriverService
Arguments
| Name | Description |
|---|---|
id - ID!
|
Driver service ID |
Example
Query
query driverService($id: ID!) {
driverService(id: $id) {
id
label
description
workshops {
...WorkshopPagedFragment
}
}
}
Variables
{"id": "4"}
Response
{
"data": {
"driverService": {
"id": 4,
"label": "xyz789",
"description": "xyz789",
"workshops": WorkshopPaged
}
}
}
driverServices
Description
List Driver services
Response
Returns a DriverServicePaged
Example
Query
query driverServices(
$pageSize: Int,
$pageId: ID,
$label: String
) {
driverServices(
pageSize: $pageSize,
pageId: $pageId,
label: $label
) {
next
count
list {
...DriverServiceFragment
}
}
}
Variables
{
"pageSize": 987,
"pageId": 4,
"label": "xyz789"
}
Response
{
"data": {
"driverServices": {
"next": 4,
"count": 987,
"list": [DriverService]
}
}
}
drivers
Response
Returns a DriverPaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
ids - [ID!]
|
Filter by ids |
idKeys - [ID!]
|
Filter by id_keys |
labels - [String!]
|
Filter by labels |
auxiliaryDeviceSerialNumbers - [String!]
|
Filter by driver auxiliary devices serial number |
auxiliaryDeviceMacAddressHashs - [String!]
|
Filter by driver auxiliary devices mac address hash |
auxiliaryDeviceIdKeys - [String!]
|
Filter by driver auxiliary devices id_key |
hasVehicle - Boolean
|
|
active - Boolean
|
|
sort - [DriverSort!]
|
Example
Query
query drivers(
$pageSize: Int,
$pageId: ID,
$ids: [ID!],
$idKeys: [ID!],
$labels: [String!],
$auxiliaryDeviceSerialNumbers: [String!],
$auxiliaryDeviceMacAddressHashs: [String!],
$auxiliaryDeviceIdKeys: [String!],
$hasVehicle: Boolean,
$active: Boolean,
$sort: [DriverSort!]
) {
drivers(
pageSize: $pageSize,
pageId: $pageId,
ids: $ids,
idKeys: $idKeys,
labels: $labels,
auxiliaryDeviceSerialNumbers: $auxiliaryDeviceSerialNumbers,
auxiliaryDeviceMacAddressHashs: $auxiliaryDeviceMacAddressHashs,
auxiliaryDeviceIdKeys: $auxiliaryDeviceIdKeys,
hasVehicle: $hasVehicle,
active: $active,
sort: $sort
) {
next
count
list {
...DriverFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": 4,
"ids": ["4"],
"idKeys": [4],
"labels": ["abc123"],
"auxiliaryDeviceSerialNumbers": [
"xyz789"
],
"auxiliaryDeviceMacAddressHashs": [
"xyz789"
],
"auxiliaryDeviceIdKeys": ["abc123"],
"hasVehicle": true,
"active": false,
"sort": [DriverSort]
}
Response
{
"data": {
"drivers": {"next": 4, "count": 987, "list": [Driver]}
}
}
dvirAttachment
Response
Returns a DvirAttachment
Arguments
| Name | Description |
|---|---|
id - ID!
|
Example
Query
query dvirAttachment($id: ID!) {
dvirAttachment(id: $id) {
id
kind
filename
contentType
byteSize
fileAttached
fileUrl
attachableType
attachableId
createdAt
updatedAt
}
}
Variables
{"id": "4"}
Response
{
"data": {
"dvirAttachment": {
"id": 4,
"kind": "WALKAROUND",
"filename": "abc123",
"contentType": "xyz789",
"byteSize": 123,
"fileAttached": false,
"fileUrl": "xyz789",
"attachableType": "abc123",
"attachableId": "4",
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z"
}
}
}
geodecode
Description
Get the geodecoding of a coordinate
Response
Returns a Geodecode
Arguments
| Name | Description |
|---|---|
lat - Float
|
Coordinate latitude |
lng - Float
|
Coordinate longitude |
radius - Int
|
Search radius around lat/lon (meters), default 100 |
skipEmptyStreetname - Boolean
|
Skip results with empty streetnames |
maxResult - Int
|
Max Results, default 1 |
lang - String
|
Coordinate Language Define the language that will be used to perform the address lookup. Objects for which defined language code is not available, default language will be used. Values language Code - An US-ASCII string that defines an ISO 639-1 (2-letter) language code. The specials "IC" (no sensitive case) language code allows you to search for a country depending on its ISO-3166 Alpha-3 or Alpha-2 country code. default "en" |
Example
Query
query geodecode(
$lat: Float,
$lng: Float,
$radius: Int,
$skipEmptyStreetname: Boolean,
$maxResult: Int,
$lang: String
) {
geodecode(
lat: $lat,
lng: $lng,
radius: $radius,
skipEmptyStreetname: $skipEmptyStreetname,
maxResult: $maxResult,
lang: $lang
) {
extent {
...GeodecodeExtentFragment
}
elements {
...GeodecodeElementsFragment
}
}
}
Variables
{
"lat": 123.45,
"lng": 123.45,
"radius": 987,
"skipEmptyStreetname": true,
"maxResult": 123,
"lang": "xyz789"
}
Response
{
"data": {
"geodecode": {
"extent": GeodecodeExtent,
"elements": GeodecodeElements
}
}
}
getMetadatum
Description
Get trip metdatum
Response
Returns a TripMetadatum
Arguments
| Name | Description |
|---|---|
id - ID!
|
Metadatum id |
Example
Query
query getMetadatum($id: ID!) {
getMetadatum(id: $id) {
id
key
value
tripId
createdAt
updatedAt
}
}
Variables
{"id": 4}
Response
{
"data": {
"getMetadatum": {
"id": "4",
"key": "xyz789",
"value": "abc123",
"tripId": "4",
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z"
}
}
}
group
Example
Query
query group($id: ID!) {
group(id: $id) {
id
label
tags
hierarchyLevel
owner {
...AccountFragment
}
descriptions {
...DescriptionPagedFragment
}
mobilityTransactions {
...MobilityTransactionPagedFragment
}
mobilityTransactionAnomalies {
...MobilityTransactionAnomalyPagedFragment
}
mobilityTransactionStatistics {
...MobilityTransactionsStatisticRowFragment
}
mobilityTransactionAnomalyStatistics {
...MobilityTransactionAnomaliesStatisticRowFragment
}
devices {
...DevicePagedFragment
}
vehicles {
...VehiclePagedFragment
}
alerts {
...VehicleAlertPagedFragment
}
drivers {
...DriverPagedFragment
}
parents {
...GroupPagedFragment
}
children {
...GroupPagedFragment
}
users {
...AccountPagedFragment
}
}
}
Variables
{"id": "4"}
Response
{
"data": {
"group": {
"id": "4",
"label": "xyz789",
"tags": ["xyz789"],
"hierarchyLevel": "UNASSIGNED",
"owner": Account,
"descriptions": DescriptionPaged,
"mobilityTransactions": MobilityTransactionPaged,
"mobilityTransactionAnomalies": MobilityTransactionAnomalyPaged,
"mobilityTransactionStatistics": [
MobilityTransactionsStatisticRow
],
"mobilityTransactionAnomalyStatistics": [
MobilityTransactionAnomaliesStatisticRow
],
"devices": DevicePaged,
"vehicles": VehiclePaged,
"alerts": VehicleAlertPaged,
"drivers": DriverPaged,
"parents": GroupPaged,
"children": GroupPaged,
"users": AccountPaged
}
}
}
groups
Response
Returns a GroupPaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
ids - [ID!]
|
|
labels - [String!]
|
|
hierarchyLevels - [GroupHierarchyLevel!]
|
Example
Query
query groups(
$pageSize: Int,
$pageId: ID,
$ids: [ID!],
$labels: [String!],
$hierarchyLevels: [GroupHierarchyLevel!]
) {
groups(
pageSize: $pageSize,
pageId: $pageId,
ids: $ids,
labels: $labels,
hierarchyLevels: $hierarchyLevels
) {
next
count
list {
...GroupFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": 4,
"ids": [4],
"labels": ["xyz789"],
"hierarchyLevels": ["UNASSIGNED"]
}
Response
{
"data": {
"groups": {"next": 4, "count": 123, "list": [Group]}
}
}
inspectionAnswer
Response
Returns an InspectionAnswer
Example
Query
query inspectionAnswer(
$id: ID!,
$locale: Language
) {
inspectionAnswer(
id: $id,
locale: $locale
) {
id
result
resultLabel
comment
inspectionReportId
inspectionItemId
itemName
itemDescription
itemCategory
itemCategoryLabel
itemOrderPosition
photoCountMin
photoCountMax
itemRequired
createdAt
updatedAt
attachments {
...DvirAttachmentPagedFragment
}
}
}
Variables
{
"id": "4",
"locale": Language
}
Response
{
"data": {
"inspectionAnswer": {
"id": 4,
"result": "OK",
"resultLabel": "xyz789",
"comment": "abc123",
"inspectionReportId": 4,
"inspectionItemId": 4,
"itemName": "xyz789",
"itemDescription": "abc123",
"itemCategory": "EXTERIOR",
"itemCategoryLabel": "xyz789",
"itemOrderPosition": 123,
"photoCountMin": 987,
"photoCountMax": 123,
"itemRequired": true,
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z",
"attachments": DvirAttachmentPaged
}
}
}
inspectionAnswers
Response
Returns an InspectionAnswerPaged
Example
Query
query inspectionAnswers(
$pageSize: Int,
$pageId: ID,
$inspectionReportId: ID,
$locale: Language
) {
inspectionAnswers(
pageSize: $pageSize,
pageId: $pageId,
inspectionReportId: $inspectionReportId,
locale: $locale
) {
next
count
list {
...InspectionAnswerFragment
}
}
}
Variables
{
"pageSize": 987,
"pageId": "4",
"inspectionReportId": "4",
"locale": Language
}
Response
{
"data": {
"inspectionAnswers": {
"next": "4",
"count": 123,
"list": [InspectionAnswer]
}
}
}
inspectionItem
Response
Returns an InspectionItem
Example
Query
query inspectionItem(
$id: ID!,
$locale: Language
) {
inspectionItem(
id: $id,
locale: $locale
) {
id
name
description
category
categoryLabel
orderPosition
required
commentRequirement
commentOnSuccess
photoCountMin
photoCountMax
inspectionTemplateId
translations
createdAt
updatedAt
}
}
Variables
{
"id": "4",
"locale": Language
}
Response
{
"data": {
"inspectionItem": {
"id": "4",
"name": "abc123",
"description": "xyz789",
"category": "EXTERIOR",
"categoryLabel": "xyz789",
"orderPosition": 123,
"required": true,
"commentRequirement": false,
"commentOnSuccess": true,
"photoCountMin": 123,
"photoCountMax": 123,
"inspectionTemplateId": "4",
"translations": Json,
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z"
}
}
}
inspectionReport
Response
Returns an InspectionReport
Arguments
| Name | Description |
|---|---|
id - ID!
|
Example
Query
query inspectionReport($id: ID!) {
inspectionReport(id: $id) {
id
templateVersion
groupId
vehicleId
driverId
vehicleType
workflowStatus
status
inspectionType
odometer
fuelLevel
driverSignatureDate
locationLat
locationLng
locationAddress
startedAt
completedAt
inspectionTemplateId
createdAt
updatedAt
vehicle {
...VehicleFragment
}
driver {
...DriverFragment
}
inspectionTemplate {
...InspectionTemplateFragment
}
inspectionAnswers {
...InspectionAnswerPagedFragment
}
defects {
...DefectPagedFragment
}
attachments {
...DvirAttachmentPagedFragment
}
}
}
Variables
{"id": 4}
Response
{
"data": {
"inspectionReport": {
"id": "4",
"templateVersion": 987,
"groupId": 4,
"vehicleId": "4",
"driverId": 4,
"vehicleType": "CAR",
"workflowStatus": "IN_PROGRESS",
"status": "VALIDATED",
"inspectionType": "PRE_TRIP",
"odometer": 123,
"fuelLevel": 123,
"driverSignatureDate": "2007-12-03T10:15:30Z",
"locationLat": 123.45,
"locationLng": 123.45,
"locationAddress": "xyz789",
"startedAt": "2007-12-03T10:15:30Z",
"completedAt": "2007-12-03T10:15:30Z",
"inspectionTemplateId": 4,
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z",
"vehicle": Vehicle,
"driver": Driver,
"inspectionTemplate": InspectionTemplate,
"inspectionAnswers": InspectionAnswerPaged,
"defects": DefectPaged,
"attachments": DvirAttachmentPaged
}
}
}
inspectionReports
Response
Returns an InspectionReportPaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
vehicleId - ID
|
|
driverId - ID
|
|
groupId - ID
|
|
workflowStatus - DvirInspectionReportWorkflowStatus
|
|
status - DvirInspectionReportStatus
|
|
inspectionType - DvirInspectionType
|
Example
Query
query inspectionReports(
$pageSize: Int,
$pageId: ID,
$vehicleId: ID,
$driverId: ID,
$groupId: ID,
$workflowStatus: DvirInspectionReportWorkflowStatus,
$status: DvirInspectionReportStatus,
$inspectionType: DvirInspectionType
) {
inspectionReports(
pageSize: $pageSize,
pageId: $pageId,
vehicleId: $vehicleId,
driverId: $driverId,
groupId: $groupId,
workflowStatus: $workflowStatus,
status: $status,
inspectionType: $inspectionType
) {
next
count
list {
...InspectionReportFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": "4",
"vehicleId": 4,
"driverId": 4,
"groupId": "4",
"workflowStatus": "IN_PROGRESS",
"status": "VALIDATED",
"inspectionType": "PRE_TRIP"
}
Response
{
"data": {
"inspectionReports": {
"next": 4,
"count": 987,
"list": [InspectionReport]
}
}
}
inspectionTemplate
Response
Returns an InspectionTemplate
Example
Query
query inspectionTemplate(
$id: ID!,
$locale: Language
) {
inspectionTemplate(
id: $id,
locale: $locale
) {
id
name
description
active
version
groupId
vehicleType
signatureRequired
translations
createdAt
updatedAt
inspectionItems {
...InspectionItemPagedFragment
}
}
}
Variables
{
"id": "4",
"locale": Language
}
Response
{
"data": {
"inspectionTemplate": {
"id": "4",
"name": "abc123",
"description": "xyz789",
"active": true,
"version": 123,
"groupId": 4,
"vehicleType": "CAR",
"signatureRequired": true,
"translations": Json,
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z",
"inspectionItems": InspectionItemPaged
}
}
}
inspectionTemplates
Response
Returns an InspectionTemplatePaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
groupId - ID
|
|
active - Boolean
|
|
version - Int
|
|
vehicleType - VehicleTypeName
|
|
sort - [InspectionTemplateSort!]
|
|
locale - Language
|
Example
Query
query inspectionTemplates(
$pageSize: Int,
$pageId: ID,
$groupId: ID,
$active: Boolean,
$version: Int,
$vehicleType: VehicleTypeName,
$sort: [InspectionTemplateSort!],
$locale: Language
) {
inspectionTemplates(
pageSize: $pageSize,
pageId: $pageId,
groupId: $groupId,
active: $active,
version: $version,
vehicleType: $vehicleType,
sort: $sort,
locale: $locale
) {
next
count
list {
...InspectionTemplateFragment
}
}
}
Variables
{
"pageSize": 987,
"pageId": 4,
"groupId": "4",
"active": false,
"version": 987,
"vehicleType": "CAR",
"sort": [InspectionTemplateSort],
"locale": Language
}
Response
{
"data": {
"inspectionTemplates": {
"next": 4,
"count": 123,
"list": [InspectionTemplate]
}
}
}
logfetchActions
Description
List standard log fetch actions
Response
Returns a LogfetchActionPaged
Example
Query
query logfetchActions(
$pageSize: Int,
$pageId: ID
) {
logfetchActions(
pageSize: $pageSize,
pageId: $pageId
) {
next
count
list {
...LogfetchActionFragment
}
}
}
Variables
{"pageSize": 123, "pageId": 4}
Response
{
"data": {
"logfetchActions": {
"next": "4",
"count": 123,
"list": [LogfetchAction]
}
}
}
lpa
Description
Local profile assistance
Response
Returns a Lpa
Arguments
| Name | Description |
|---|---|
imei - ID!
|
IMEI of the dongle |
functionName - FunctionNameType!
|
The name of the function to call |
parameters - ParametersType!
|
Parameters needed for the called function |
Example
Query
query lpa(
$imei: ID!,
$functionName: FunctionNameType!,
$parameters: ParametersType!
) {
lpa(
imei: $imei,
functionName: $functionName,
parameters: $parameters
) {
id
imei
functionName
status
parameters {
...ParametersFragment
}
}
}
Variables
{
"imei": "4",
"functionName": "DOWNLOAD_AND_ENABLE_PROFILE",
"parameters": ParametersType
}
Response
{
"data": {
"lpa": {
"id": 4,
"imei": "4",
"functionName": "abc123",
"status": "xyz789",
"parameters": Parameters
}
}
}
maintenanceCriticalityThreshold
Response
Returns a MaintenanceCriticalityThreshold
Example
Query
query maintenanceCriticalityThreshold {
maintenanceCriticalityThreshold {
id
remainingDistance
remainingDuration
criticality
description
}
}
Response
{
"data": {
"maintenanceCriticalityThreshold": {
"id": "4",
"remainingDistance": 987,
"remainingDuration": 123,
"criticality": 987,
"description": "abc123"
}
}
}
maintenanceCriticalityThresholds
Description
Maintenance criticality ID
Response
Returns a MaintenanceCriticalityThresholdPaged
Example
Query
query maintenanceCriticalityThresholds(
$pageSize: Int,
$pageId: ID
) {
maintenanceCriticalityThresholds(
pageSize: $pageSize,
pageId: $pageId
) {
next
count
list {
...MaintenanceCriticalityThresholdFragment
}
}
}
Variables
{"pageSize": 123, "pageId": "4"}
Response
{
"data": {
"maintenanceCriticalityThresholds": {
"next": 4,
"count": 987,
"list": [MaintenanceCriticalityThreshold]
}
}
}
maintenanceHistorical
Response
Returns a MaintenanceHistorical
Arguments
| Name | Description |
|---|---|
id - ID!
|
Historical maintenance ID |
Example
Query
query maintenanceHistorical($id: ID!) {
maintenanceHistorical(id: $id) {
id
vehicle {
...VehicleFragment
}
template {
...MaintenanceTemplateFragment
}
mileage
date
}
}
Variables
{"id": 4}
Response
{
"data": {
"maintenanceHistorical": {
"id": 4,
"vehicle": Vehicle,
"template": MaintenanceTemplate,
"mileage": 123,
"date": "2007-12-03T10:15:30Z"
}
}
}
maintenanceTemplate
Response
Returns a MaintenanceTemplate
Arguments
| Name | Description |
|---|---|
id - ID!
|
Maintenance template ID |
Example
Query
query maintenanceTemplate($id: ID!) {
maintenanceTemplate(id: $id) {
id
description
system {
...MaintenanceSystemFragment
}
fromExternalService
}
}
Variables
{"id": "4"}
Response
{
"data": {
"maintenanceTemplate": {
"id": 4,
"description": "xyz789",
"system": MaintenanceSystem,
"fromExternalService": false
}
}
}
maintenanceUpcoming
Description
Maintenance Planner : Get upcoming maintenance details by maitenance id
Response
Returns a MaintenanceUpcoming
Arguments
| Name | Description |
|---|---|
id - ID!
|
Upcoming maintenance ID |
Example
Query
query maintenanceUpcoming($id: ID!) {
maintenanceUpcoming(id: $id) {
id
template {
...MaintenanceTemplateFragment
}
vehicle {
...VehicleFragment
}
criticality {
...MaintenanceCriticalityThresholdFragment
}
mileageDeadline
remainingDistanceToDrive
dateDeadline
remainingDaysToDrive
}
}
Variables
{"id": "4"}
Response
{
"data": {
"maintenanceUpcoming": {
"id": "4",
"template": MaintenanceTemplate,
"vehicle": Vehicle,
"criticality": MaintenanceCriticalityThreshold,
"mileageDeadline": 123,
"remainingDistanceToDrive": 987,
"dateDeadline": "2007-12-03T10:15:30Z",
"remainingDaysToDrive": 123
}
}
}
metrics
Response
Returns a MetricPaged
Example
Query
query metrics(
$pageSize: Int,
$pageId: ID,
$ids: [ID!],
$names: [String!],
$nameContains: String,
$rawUnit: Boolean
) {
metrics(
pageSize: $pageSize,
pageId: $pageId,
ids: $ids,
names: $names,
nameContains: $nameContains,
rawUnit: $rawUnit
) {
next
count
list {
...MetricFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": "4",
"ids": ["4"],
"names": ["abc123"],
"nameContains": "xyz789",
"rawUnit": false
}
Response
{
"data": {
"metrics": {"next": 4, "count": 987, "list": [Metric]}
}
}
mobilityTransaction
Description
Single mobility transaction by id (Asset Manager resource).
Response
Returns a MobilityTransaction
Arguments
| Name | Description |
|---|---|
id - ID!
|
Example
Query
query mobilityTransaction($id: ID!) {
mobilityTransaction(id: $id) {
id
transactedAt
quantity
quantityUnit
odometerKm
hasAnomalies
hasActiveAnomalies
anomaliesCount
activeAnomaliesCount
energyType
productCategory
transactionType
productLabel
vehiclePlate
vehicleVin
deviceImei
driverLabel
netUnitPrice
grossUnitPrice
netTotal
grossTotal
currency
stationName
stationBrand
stationCity
stationPostalCode
stationLatitude
stationLongitude
source
externalSource
externalId
notes
createdAt
updatedAt
device {
...DeviceFragment
}
vehicle {
...VehicleFragment
}
driver {
...DriverFragment
}
group {
...GroupFragment
}
mobilityTransactionAnomalies {
...MobilityTransactionAnomalyPagedFragment
}
}
}
Variables
{"id": 4}
Response
{
"data": {
"mobilityTransaction": {
"id": "4",
"transactedAt": "2007-12-03T10:15:30Z",
"quantity": 987.65,
"quantityUnit": "L",
"odometerKm": 987,
"hasAnomalies": false,
"hasActiveAnomalies": true,
"anomaliesCount": 123,
"activeAnomaliesCount": 987,
"energyType": "ELECTRIC",
"productCategory": "LPG",
"transactionType": "REFILL",
"productLabel": "abc123",
"vehiclePlate": "abc123",
"vehicleVin": "abc123",
"deviceImei": "abc123",
"driverLabel": "abc123",
"netUnitPrice": 987.65,
"grossUnitPrice": 987.65,
"netTotal": 123.45,
"grossTotal": 987.65,
"currency": "xyz789",
"stationName": "abc123",
"stationBrand": "abc123",
"stationCity": "abc123",
"stationPostalCode": "xyz789",
"stationLatitude": 987.65,
"stationLongitude": 987.65,
"source": "TELEMATICS",
"externalSource": "abc123",
"externalId": "abc123",
"notes": "abc123",
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z",
"device": Device,
"vehicle": Vehicle,
"driver": Driver,
"group": Group,
"mobilityTransactionAnomalies": MobilityTransactionAnomalyPaged
}
}
}
mobilityTransactionAnomalies
Description
Global list of mobility transaction anomalies; filter by device / vehicle / driver / group / transaction and supported attributes.
Response
Returns a MobilityTransactionAnomalyPaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
sort - [MobilityTransactionAnomalySort!]
|
|
deviceId - [ID!]
|
|
vehicleId - [ID!]
|
|
driverId - [ID!]
|
|
groupId - [ID!]
|
|
mobilityTransactionId - [ID!]
|
|
active - [Boolean!]
|
|
status - [MobilityTransactionAnomalyStatus!]
|
|
severity - [MobilityTransactionAnomalySeverity!]
|
|
code - [String!]
|
|
externalSource - [String!]
|
|
externalId - [String!]
|
|
productCategory - [MobilityTransactionProductCategory!]
|
|
transactionType - [MobilityTransactionType!]
|
|
detectedById - [ID!]
|
|
clearedById - [ID!]
|
|
detectedBy - [ID!]
|
|
clearedBy - [ID!]
|
|
locationCity - [String!]
|
|
locationPostalCode - [String!]
|
|
locationLatitude - [Float!]
|
|
locationLongitude - [Float!]
|
|
detectedAtAfter - DateTime
|
|
detectedAtBefore - DateTime
|
|
clearedAtAfter - DateTime
|
|
clearedAtBefore - DateTime
|
|
transactedAtAfter - DateTime
|
|
transactedAtBefore - DateTime
|
|
locationLatitudeGte - Float
|
|
locationLatitudeLte - Float
|
|
locationLongitudeGte - Float
|
|
locationLongitudeLte - Float
|
Example
Query
query mobilityTransactionAnomalies(
$pageSize: Int,
$pageId: ID,
$sort: [MobilityTransactionAnomalySort!],
$deviceId: [ID!],
$vehicleId: [ID!],
$driverId: [ID!],
$groupId: [ID!],
$mobilityTransactionId: [ID!],
$active: [Boolean!],
$status: [MobilityTransactionAnomalyStatus!],
$severity: [MobilityTransactionAnomalySeverity!],
$code: [String!],
$externalSource: [String!],
$externalId: [String!],
$productCategory: [MobilityTransactionProductCategory!],
$transactionType: [MobilityTransactionType!],
$detectedById: [ID!],
$clearedById: [ID!],
$detectedBy: [ID!],
$clearedBy: [ID!],
$locationCity: [String!],
$locationPostalCode: [String!],
$locationLatitude: [Float!],
$locationLongitude: [Float!],
$detectedAtAfter: DateTime,
$detectedAtBefore: DateTime,
$clearedAtAfter: DateTime,
$clearedAtBefore: DateTime,
$transactedAtAfter: DateTime,
$transactedAtBefore: DateTime,
$locationLatitudeGte: Float,
$locationLatitudeLte: Float,
$locationLongitudeGte: Float,
$locationLongitudeLte: Float
) {
mobilityTransactionAnomalies(
pageSize: $pageSize,
pageId: $pageId,
sort: $sort,
deviceId: $deviceId,
vehicleId: $vehicleId,
driverId: $driverId,
groupId: $groupId,
mobilityTransactionId: $mobilityTransactionId,
active: $active,
status: $status,
severity: $severity,
code: $code,
externalSource: $externalSource,
externalId: $externalId,
productCategory: $productCategory,
transactionType: $transactionType,
detectedById: $detectedById,
clearedById: $clearedById,
detectedBy: $detectedBy,
clearedBy: $clearedBy,
locationCity: $locationCity,
locationPostalCode: $locationPostalCode,
locationLatitude: $locationLatitude,
locationLongitude: $locationLongitude,
detectedAtAfter: $detectedAtAfter,
detectedAtBefore: $detectedAtBefore,
clearedAtAfter: $clearedAtAfter,
clearedAtBefore: $clearedAtBefore,
transactedAtAfter: $transactedAtAfter,
transactedAtBefore: $transactedAtBefore,
locationLatitudeGte: $locationLatitudeGte,
locationLatitudeLte: $locationLatitudeLte,
locationLongitudeGte: $locationLongitudeGte,
locationLongitudeLte: $locationLongitudeLte
) {
next
count
list {
...MobilityTransactionAnomalyFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": 4,
"sort": [MobilityTransactionAnomalySort],
"deviceId": ["4"],
"vehicleId": ["4"],
"driverId": [4],
"groupId": ["4"],
"mobilityTransactionId": [4],
"active": [true],
"status": ["OPEN"],
"severity": ["INFO"],
"code": ["abc123"],
"externalSource": ["abc123"],
"externalId": ["xyz789"],
"productCategory": ["LPG"],
"transactionType": ["REFILL"],
"detectedById": [4],
"clearedById": ["4"],
"detectedBy": ["4"],
"clearedBy": [4],
"locationCity": ["abc123"],
"locationPostalCode": ["abc123"],
"locationLatitude": [987.65],
"locationLongitude": [123.45],
"detectedAtAfter": "2007-12-03T10:15:30Z",
"detectedAtBefore": "2007-12-03T10:15:30Z",
"clearedAtAfter": "2007-12-03T10:15:30Z",
"clearedAtBefore": "2007-12-03T10:15:30Z",
"transactedAtAfter": "2007-12-03T10:15:30Z",
"transactedAtBefore": "2007-12-03T10:15:30Z",
"locationLatitudeGte": 987.65,
"locationLatitudeLte": 987.65,
"locationLongitudeGte": 987.65,
"locationLongitudeLte": 123.45
}
Response
{
"data": {
"mobilityTransactionAnomalies": {
"next": 4,
"count": 123,
"list": [MobilityTransactionAnomaly]
}
}
}
mobilityTransactionAnomaly
Description
Single mobility transaction anomaly by id (Asset Manager resource).
Response
Returns a MobilityTransactionAnomaly
Arguments
| Name | Description |
|---|---|
id - ID!
|
Example
Query
query mobilityTransactionAnomaly($id: ID!) {
mobilityTransactionAnomaly(id: $id) {
id
detectedAt
transactedAt
clearedAt
detectedById
clearedById
status
active
severity
code
title
description
notes
productCategory
transactionType
vehiclePlate
vehicleVin
deviceImei
driverLabel
locationCity
locationPostalCode
locationLatitude
locationLongitude
source
externalSource
externalId
createdAt
updatedAt
device {
...DeviceFragment
}
vehicle {
...VehicleFragment
}
driver {
...DriverFragment
}
group {
...GroupFragment
}
mobilityTransaction {
...MobilityTransactionFragment
}
}
}
Variables
{"id": "4"}
Response
{
"data": {
"mobilityTransactionAnomaly": {
"id": 4,
"detectedAt": "2007-12-03T10:15:30Z",
"transactedAt": "2007-12-03T10:15:30Z",
"clearedAt": "2007-12-03T10:15:30Z",
"detectedById": "abc123",
"clearedById": "xyz789",
"status": "OPEN",
"active": true,
"severity": "INFO",
"code": "xyz789",
"title": "xyz789",
"description": "abc123",
"notes": "xyz789",
"productCategory": "LPG",
"transactionType": "REFILL",
"vehiclePlate": "abc123",
"vehicleVin": "xyz789",
"deviceImei": "abc123",
"driverLabel": "xyz789",
"locationCity": "xyz789",
"locationPostalCode": "xyz789",
"locationLatitude": 987.65,
"locationLongitude": 987.65,
"source": "RULE_ENGINE",
"externalSource": "xyz789",
"externalId": "abc123",
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z",
"device": Device,
"vehicle": Vehicle,
"driver": Driver,
"group": Group,
"mobilityTransaction": MobilityTransaction
}
}
}
mobilityTransactions
Description
Global list of mobility transactions; filter by device / vehicle / driver / group and supported attributes.
Response
Returns a MobilityTransactionPaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
sort - [MobilityTransactionSort!]
|
|
deviceId - [ID!]
|
|
vehicleId - [ID!]
|
|
driverId - [ID!]
|
|
groupId - [ID!]
|
|
hasAnomalies - [Boolean!]
|
|
hasActiveAnomalies - [Boolean!]
|
|
source - [MobilityTransactionSource!]
|
|
externalSource - [String!]
|
|
energyType - [MobilityTransactionEnergyType!]
|
|
productLabel - [String!]
|
|
productCategory - [MobilityTransactionProductCategory!]
|
|
transactionType - [MobilityTransactionType!]
|
|
currency - [String!]
|
|
externalId - [String!]
|
|
stationName - [String!]
|
|
stationBrand - [String!]
|
|
stationCity - [String!]
|
|
stationPostalCode - [String!]
|
|
stationLatitude - [Float!]
|
|
stationLongitude - [Float!]
|
|
transactedAtAfter - DateTime
|
|
transactedAtBefore - DateTime
|
|
netUnitPriceGte - Float
|
|
netUnitPriceLte - Float
|
|
grossUnitPriceGte - Float
|
|
grossUnitPriceLte - Float
|
|
netTotalGte - Float
|
|
netTotalLte - Float
|
|
grossTotalGte - Float
|
|
grossTotalLte - Float
|
|
stationLatitudeGte - Float
|
|
stationLatitudeLte - Float
|
|
stationLongitudeGte - Float
|
|
stationLongitudeLte - Float
|
Example
Query
query mobilityTransactions(
$pageSize: Int,
$pageId: ID,
$sort: [MobilityTransactionSort!],
$deviceId: [ID!],
$vehicleId: [ID!],
$driverId: [ID!],
$groupId: [ID!],
$hasAnomalies: [Boolean!],
$hasActiveAnomalies: [Boolean!],
$source: [MobilityTransactionSource!],
$externalSource: [String!],
$energyType: [MobilityTransactionEnergyType!],
$productLabel: [String!],
$productCategory: [MobilityTransactionProductCategory!],
$transactionType: [MobilityTransactionType!],
$currency: [String!],
$externalId: [String!],
$stationName: [String!],
$stationBrand: [String!],
$stationCity: [String!],
$stationPostalCode: [String!],
$stationLatitude: [Float!],
$stationLongitude: [Float!],
$transactedAtAfter: DateTime,
$transactedAtBefore: DateTime,
$netUnitPriceGte: Float,
$netUnitPriceLte: Float,
$grossUnitPriceGte: Float,
$grossUnitPriceLte: Float,
$netTotalGte: Float,
$netTotalLte: Float,
$grossTotalGte: Float,
$grossTotalLte: Float,
$stationLatitudeGte: Float,
$stationLatitudeLte: Float,
$stationLongitudeGte: Float,
$stationLongitudeLte: Float
) {
mobilityTransactions(
pageSize: $pageSize,
pageId: $pageId,
sort: $sort,
deviceId: $deviceId,
vehicleId: $vehicleId,
driverId: $driverId,
groupId: $groupId,
hasAnomalies: $hasAnomalies,
hasActiveAnomalies: $hasActiveAnomalies,
source: $source,
externalSource: $externalSource,
energyType: $energyType,
productLabel: $productLabel,
productCategory: $productCategory,
transactionType: $transactionType,
currency: $currency,
externalId: $externalId,
stationName: $stationName,
stationBrand: $stationBrand,
stationCity: $stationCity,
stationPostalCode: $stationPostalCode,
stationLatitude: $stationLatitude,
stationLongitude: $stationLongitude,
transactedAtAfter: $transactedAtAfter,
transactedAtBefore: $transactedAtBefore,
netUnitPriceGte: $netUnitPriceGte,
netUnitPriceLte: $netUnitPriceLte,
grossUnitPriceGte: $grossUnitPriceGte,
grossUnitPriceLte: $grossUnitPriceLte,
netTotalGte: $netTotalGte,
netTotalLte: $netTotalLte,
grossTotalGte: $grossTotalGte,
grossTotalLte: $grossTotalLte,
stationLatitudeGte: $stationLatitudeGte,
stationLatitudeLte: $stationLatitudeLte,
stationLongitudeGte: $stationLongitudeGte,
stationLongitudeLte: $stationLongitudeLte
) {
next
count
list {
...MobilityTransactionFragment
}
}
}
Variables
{
"pageSize": 987,
"pageId": "4",
"sort": [MobilityTransactionSort],
"deviceId": ["4"],
"vehicleId": [4],
"driverId": ["4"],
"groupId": ["4"],
"hasAnomalies": [false],
"hasActiveAnomalies": [false],
"source": ["TELEMATICS"],
"externalSource": ["xyz789"],
"energyType": ["ELECTRIC"],
"productLabel": ["abc123"],
"productCategory": ["LPG"],
"transactionType": ["REFILL"],
"currency": ["abc123"],
"externalId": ["xyz789"],
"stationName": ["abc123"],
"stationBrand": ["abc123"],
"stationCity": ["abc123"],
"stationPostalCode": ["xyz789"],
"stationLatitude": [987.65],
"stationLongitude": [987.65],
"transactedAtAfter": "2007-12-03T10:15:30Z",
"transactedAtBefore": "2007-12-03T10:15:30Z",
"netUnitPriceGte": 123.45,
"netUnitPriceLte": 123.45,
"grossUnitPriceGte": 123.45,
"grossUnitPriceLte": 987.65,
"netTotalGte": 987.65,
"netTotalLte": 987.65,
"grossTotalGte": 123.45,
"grossTotalLte": 987.65,
"stationLatitudeGte": 987.65,
"stationLatitudeLte": 987.65,
"stationLongitudeGte": 123.45,
"stationLongitudeLte": 987.65
}
Response
{
"data": {
"mobilityTransactions": {
"next": "4",
"count": 987,
"list": [MobilityTransaction]
}
}
}
onboardings
Description
List onboarding requests
Response
Returns an OnboardingRequestPaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
sort - [OnboardingRequestSort!]
|
Sort criteria |
ids - [ID!]
|
Filter by request id |
status - [OnboardingStatus!]
|
Filter by request status |
deviceIds - [ID!]
|
Filter by linked device id |
plates - [String!]
|
Filter by linked vehicle plate |
vins - [String!]
|
Filter by linked vehicle VIN |
clientIdentificationIds - [ID!]
|
Filter by client identification ids |
distributorIds - [ID!]
|
Filter by distributor ids |
vehicleTypes - [VehicleTypeName!]
|
Filter by vehicle type |
modes - [OnboardingMode!]
|
Filter by onboarding mode |
clientReferences - [ID!]
|
Filter by client identification reference |
vehicleEnrichments - [String!]
|
Filter by any vehicle enrichment values |
multi - [String]
|
Search across vehicle plate, VIN, label, device IMEI, serial number, client identification code, request group_id, request owner user uid, and request creator uid. |
Example
Query
query onboardings(
$pageSize: Int,
$pageId: ID,
$sort: [OnboardingRequestSort!],
$ids: [ID!],
$status: [OnboardingStatus!],
$deviceIds: [ID!],
$plates: [String!],
$vins: [String!],
$clientIdentificationIds: [ID!],
$distributorIds: [ID!],
$vehicleTypes: [VehicleTypeName!],
$modes: [OnboardingMode!],
$clientReferences: [ID!],
$vehicleEnrichments: [String!],
$multi: [String]
) {
onboardings(
pageSize: $pageSize,
pageId: $pageId,
sort: $sort,
ids: $ids,
status: $status,
deviceIds: $deviceIds,
plates: $plates,
vins: $vins,
clientIdentificationIds: $clientIdentificationIds,
distributorIds: $distributorIds,
vehicleTypes: $vehicleTypes,
modes: $modes,
clientReferences: $clientReferences,
vehicleEnrichments: $vehicleEnrichments,
multi: $multi
) {
next
count
list {
...OnboardingRequestFragment
}
}
}
Variables
{
"pageSize": 987,
"pageId": 4,
"sort": [OnboardingRequestSort],
"ids": [4],
"status": ["OPEN"],
"deviceIds": [4],
"plates": ["abc123"],
"vins": ["abc123"],
"clientIdentificationIds": ["4"],
"distributorIds": [4],
"vehicleTypes": ["CAR"],
"modes": ["MANUAL"],
"clientReferences": [4],
"vehicleEnrichments": ["abc123"],
"multi": ["xyz789"]
}
Response
{
"data": {
"onboardings": {
"next": 4,
"count": 123,
"list": [OnboardingRequest]
}
}
}
parkings
Description
Get parkings for vehicles
Response
Returns a ParkingPaged
Example
Query
query parkings(
$pageSize: Int,
$pageId: ID,
$latitude: Float!,
$longitude: Float!,
$radius: Int!
) {
parkings(
pageSize: $pageSize,
pageId: $pageId,
latitude: $latitude,
longitude: $longitude,
radius: $radius
) {
next
count
list {
...ParkingFragment
}
}
}
Variables
{
"pageSize": 987,
"pageId": 4,
"latitude": 123.45,
"longitude": 123.45,
"radius": 987
}
Response
{
"data": {
"parkings": {
"next": "4",
"count": 987,
"list": [Parking]
}
}
}
partners
Description
List partners
Response
Returns an OnboardingPartnerPaged
Example
Query
query partners(
$pageSize: Int,
$pageId: ID,
$ids: [ID!]
) {
partners(
pageSize: $pageSize,
pageId: $pageId,
ids: $ids
) {
next
count
list {
...OnboardingPartnerFragment
}
}
}
Variables
{
"pageSize": 987,
"pageId": "4",
"ids": ["4"]
}
Response
{
"data": {
"partners": {
"next": 4,
"count": 123,
"list": [OnboardingPartner]
}
}
}
passwordCheckToken
Description
Check if a password reset token is valid
Response
Returns a Boolean
Arguments
| Name | Description |
|---|---|
channel - PasswordResetChannel!
|
Side channel type |
id - ID!
|
Side channel id |
token - String!
|
Reset token (see passwordResetToken()) |
Example
Query
query passwordCheckToken(
$channel: PasswordResetChannel!,
$id: ID!,
$token: String!
) {
passwordCheckToken(
channel: $channel,
id: $id,
token: $token
)
}
Variables
{
"channel": "PHONE",
"id": "4",
"token": "xyz789"
}
Response
{"data": {"passwordCheckToken": true}}
perf
Description
Get performance info
project
Example
Query
query project($id: ID!) {
project(id: $id) {
id
label
owner {
...AccountFragment
}
vehicles {
...VehiclePagedFragment
}
groups {
...GroupPagedFragment
}
drivers {
...DriverPagedFragment
}
devices {
...DevicePagedFragment
}
users {
...AccountPagedFragment
}
}
}
Variables
{"id": 4}
Response
{
"data": {
"project": {
"id": "4",
"label": "xyz789",
"owner": Account,
"vehicles": VehiclePaged,
"groups": GroupPaged,
"drivers": DriverPaged,
"devices": DevicePaged,
"users": AccountPaged
}
}
}
projects
Description
Get the logged-in user project list
Response
Returns a ProjectPaged
Example
Query
query projects(
$pageSize: Int,
$pageId: ID
) {
projects(
pageSize: $pageSize,
pageId: $pageId
) {
next
count
list {
...ProjectFragment
}
}
}
Variables
{"pageSize": 123, "pageId": "4"}
Response
{
"data": {
"projects": {
"next": 4,
"count": 987,
"list": [Project]
}
}
}
providers
Description
List providers
Response
Returns an OnboardingProviderPaged
Example
Query
query providers(
$pageSize: Int,
$pageId: ID,
$ids: [ID!]
) {
providers(
pageSize: $pageSize,
pageId: $pageId,
ids: $ids
) {
next
count
list {
...OnboardingProviderFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": "4",
"ids": ["4"]
}
Response
{
"data": {
"providers": {
"next": 4,
"count": 987,
"list": [OnboardingProvider]
}
}
}
quotation
Description
Get Quotation by ID
Example
Query
query quotation($id: ID!) {
quotation(id: $id) {
id
plateNumber
workshop {
...WorkshopFragment
}
currency
price
maintenanceCode
bookingId
taxes
taxesPrice
providerQuotationId
}
}
Variables
{"id": "4"}
Response
{
"data": {
"quotation": {
"id": "4",
"plateNumber": "abc123",
"workshop": Workshop,
"currency": "abc123",
"price": 987,
"maintenanceCode": "abc123",
"bookingId": 4,
"taxes": 123,
"taxesPrice": 123,
"providerQuotationId": "4"
}
}
}
quotations
Description
List Quotations
Response
Returns a QuotationPaged
Example
Query
query quotations(
$pageSize: Int,
$pageId: ID
) {
quotations(
pageSize: $pageSize,
pageId: $pageId
) {
next
count
list {
...QuotationFragment
}
}
}
Variables
{"pageSize": 123, "pageId": "4"}
Response
{
"data": {
"quotations": {
"next": "4",
"count": 987,
"list": [Quotation]
}
}
}
rating
Description
Get Rating by ID
Example
Query
query rating($id: ID!) {
rating(id: $id) {
id
createdAt
message
stars
response
responseDate
status
workshop {
...WorkshopFragment
}
booking {
...BookingFragment
}
}
}
Variables
{"id": 4}
Response
{
"data": {
"rating": {
"id": "4",
"createdAt": "2007-12-03T10:15:30Z",
"message": "xyz789",
"stars": 987,
"response": "xyz789",
"responseDate": "2007-12-03T10:15:30Z",
"status": "VERIFIED",
"workshop": Workshop,
"booking": Booking
}
}
}
rdcLog
Description
Get log of sent RemoteDeviceCommands
Response
Returns [RdcAsyncAck]
Arguments
| Name | Description |
|---|---|
endpoint - RdcEndpoint!
|
Type of logs |
Example
Query
query rdcLog($endpoint: RdcEndpoint!) {
rdcLog(endpoint: $endpoint) {
id
type
attributes
}
}
Variables
{"endpoint": "DISPLACEMENT_SET"}
Response
{
"data": {
"rdcLog": [
{
"id": 4,
"type": "abc123",
"attributes": Json
}
]
}
}
remoteDiag
Description
Get a remote diagnostic session
Response
Returns a RemoteDiag
Arguments
| Name | Description |
|---|---|
id - ID!
|
Remote diagnostic session id |
Example
Query
query remoteDiag($id: ID!) {
remoteDiag(id: $id) {
id
createdAt
updatedAt
status
vud {
...RemoteDiagEndpointFragment
}
vci {
...RemoteDiagEndpointFragment
}
currentStep
language
providerName
actions {
...RemoteDiagActionPagedFragment
}
result {
...RemoteDiagResultFragment
}
steps {
...RemoteDiagStepPagedFragment
}
}
}
Variables
{"id": "4"}
Response
{
"data": {
"remoteDiag": {
"id": "4",
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z",
"status": "xyz789",
"vud": RemoteDiagEndpoint,
"vci": RemoteDiagEndpoint,
"currentStep": "SETUP_ONGOING",
"language": Language,
"providerName": "abc123",
"actions": RemoteDiagActionPaged,
"result": RemoteDiagResult,
"steps": RemoteDiagStepPaged
}
}
}
stations
Description
Get stations for vehicles
Response
Returns a StationPaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
energyTypes - [EnergyType]
|
Energy type filter |
connectorTypes - [ConnectorType]
|
Electric connector type filter |
latitude - Float!
|
Latitude |
longitude - Float!
|
Longitude |
radius - Int!
|
Search radius (meters) |
Example
Query
query stations(
$pageSize: Int,
$pageId: ID,
$energyTypes: [EnergyType],
$connectorTypes: [ConnectorType],
$latitude: Float!,
$longitude: Float!,
$radius: Int!
) {
stations(
pageSize: $pageSize,
pageId: $pageId,
energyTypes: $energyTypes,
connectorTypes: $connectorTypes,
latitude: $latitude,
longitude: $longitude,
radius: $radius
) {
next
count
list {
...StationFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": 4,
"energyTypes": ["OTHER"],
"connectorTypes": ["OTHER"],
"latitude": 987.65,
"longitude": 987.65,
"radius": 987
}
Response
{
"data": {
"stations": {
"next": 4,
"count": 987,
"list": [Station]
}
}
}
statsDashboard
Description
Get an embedded Superset stats dashboard
Response
Returns a StatsDashboard
Example
Query
query statsDashboard(
$dashboardId: String!,
$groupId: ID
) {
statsDashboard(
dashboardId: $dashboardId,
groupId: $groupId
) {
id
label
description
supersetUrl
dashboardUid
embeddedId
dashboardId
guestToken
status
}
}
Variables
{"dashboardId": "xyz789", "groupId": 4}
Response
{
"data": {
"statsDashboard": {
"id": 4,
"label": "xyz789",
"description": "xyz789",
"supersetUrl": "abc123",
"dashboardUid": "xyz789",
"embeddedId": "xyz789",
"dashboardId": "abc123",
"guestToken": "abc123",
"status": "DRAFT"
}
}
}
systemInfo
Description
Get system information
Response
Returns a SystemInfo
Example
Query
query systemInfo(
$service: String,
$extra: [String!]
) {
systemInfo(
service: $service,
extra: $extra
) {
software
hash
schema
services {
...SystemServiceFragment
}
extra
}
}
Variables
{
"service": "abc123",
"extra": ["xyz789"]
}
Response
{
"data": {
"systemInfo": {
"software": "xyz789",
"hash": "abc123",
"schema": "abc123",
"services": [SystemService],
"extra": Json
}
}
}
tickets
Description
List support tickets
Response
Returns a TicketPaged
Example
Query
query tickets(
$pageSize: Int,
$pageId: ID
) {
tickets(
pageSize: $pageSize,
pageId: $pageId
) {
next
count
list {
...TicketFragment
}
}
}
Variables
{"pageSize": 987, "pageId": 4}
Response
{
"data": {
"tickets": {"next": 4, "count": 987, "list": [Ticket]}
}
}
trip
Description
Get trip
Example
Query
query trip($id: ID!) {
trip(id: $id) {
id
drivingPercentage
duration
endEvent {
...IdcoordinatesFragment
}
idlingPercentage
maxIdlingDuration
startEvent {
...IdcoordinatesFragment
}
status
averageSpeed
co2Estimation
distance
distanceInDay
drivingDuration
ecoDrivingScore
endPostalAddress {
...AddressAttributesFragment
}
endWeather {
...WeatherFragment
}
fuelEfficiency
fuelEstimation
idlingDuration
maxSpeed
nbHarshAcceleration
nbHarshBraking
nbHarshCornering
overconsumptionGap
overemissionGap
safetyScore
startPostalAddress {
...AddressAttributesFragment
}
startWeather {
...WeatherFragment
}
towAway
nbOverspeed
nbPostprocessedOverspeed
overspeedDistance
overspeedDuration
overspeedScore
locations {
...IdcoordinatesPagedFragment
}
activities {
...TripActivityPagedFragment
}
movements {
...TripMovementPagedFragment
}
stops {
...TripStopPagedFragment
}
harshes {
...TripHarshPagedFragment
}
overspeeds {
...TripOverspeedPagedFragment
}
metadata {
...TripMetadatumPagedFragment
}
}
}
Variables
{"id": "4"}
Response
{
"data": {
"trip": {
"id": 4,
"drivingPercentage": Percent,
"duration": 123,
"endEvent": Idcoordinates,
"idlingPercentage": Percent,
"maxIdlingDuration": 123,
"startEvent": Idcoordinates,
"status": "OPEN",
"averageSpeed": 123.45,
"co2Estimation": 987,
"distance": 987,
"distanceInDay": Percent,
"drivingDuration": 987,
"ecoDrivingScore": Percent,
"endPostalAddress": AddressAttributes,
"endWeather": Weather,
"fuelEfficiency": 123.45,
"fuelEstimation": 987,
"idlingDuration": 123,
"maxSpeed": 987.65,
"nbHarshAcceleration": 123,
"nbHarshBraking": 123,
"nbHarshCornering": 123,
"overconsumptionGap": AnyPercent,
"overemissionGap": AnyPercent,
"safetyScore": Percent,
"startPostalAddress": AddressAttributes,
"startWeather": Weather,
"towAway": true,
"nbOverspeed": 987,
"nbPostprocessedOverspeed": 123,
"overspeedDistance": 123,
"overspeedDuration": 123,
"overspeedScore": Percent,
"locations": IdcoordinatesPaged,
"activities": TripActivityPaged,
"movements": TripMovementPaged,
"stops": TripStopPaged,
"harshes": TripHarshPaged,
"overspeeds": TripOverspeedPaged,
"metadata": TripMetadatumPaged
}
}
}
vehicle
Example
Query
query vehicle($id: ID!) {
vehicle(id: $id) {
id
plate
label
vin
onboarded
modelId
ktype
hasDriver
make
model
year
fuelType
fuelTypeSecondary
kba
tags
hybrid
vehicleType
canTow
canBeTowed
immobilizerStatus
immobilizerStatusUpdatedAt
doorsLockStatus
doorsLockStatusUpdatedAt
garageModeStatus
garageModeStatusUpdatedAt
archived
tractionBatteryCapacityKwh
fuelTankCapacityLiters
descriptions {
...DescriptionPagedFragment
}
vinDescriptions {
...DecodeVinResultFragment
}
owner {
...AccountFragment
}
currentDevice {
...DeviceFragment
}
currentDriver {
...DriverFragment
}
groups {
...GroupPagedFragment
}
lastTrip {
...TripFragment
}
trips {
...TripPagedFragment
}
maintenancesUpcoming {
...MaintenanceUpcomingPagedFragment
}
maintenancesHistorical {
...MaintenanceHistoricalPagedFragment
}
maintenanceTemplates {
...MaintenanceTemplatePagedFragment
}
maintenanceSchedules {
...MaintenanceSchedulePagedFragment
}
alerts {
...VehicleAlertPagedFragment
}
alertsState {
...VehicleAlertsStateFragment
}
currentDevices {
...DevicePagedFragment
}
towingSessionsAsTowingVehicle {
...TowingSessionPagedFragment
}
towingSessionsAsTrailerVehicle {
...TowingSessionPagedFragment
}
currentTowingSessionAsTowingVehicle {
...TowingSessionFragment
}
currentTowingSessionAsTrailerVehicle {
...TowingSessionFragment
}
currentTrailerVehicle {
...VehicleFragment
}
currentTowingVehicle {
...VehicleFragment
}
mobilityTransactions {
...MobilityTransactionPagedFragment
}
mobilityTransactionAnomalies {
...MobilityTransactionAnomalyPagedFragment
}
mobilityTransactionStatistics {
...MobilityTransactionsStatisticRowFragment
}
mobilityTransactionAnomalyStatistics {
...MobilityTransactionAnomaliesStatisticRowFragment
}
driverSessions {
...DriverVehicleSessionPagedFragment
}
}
}
Variables
{"id": 4}
Response
{
"data": {
"vehicle": {
"id": "4",
"plate": "abc123",
"label": "abc123",
"vin": "abc123",
"onboarded": true,
"modelId": 4,
"ktype": "abc123",
"hasDriver": true,
"make": "xyz789",
"model": "abc123",
"year": "abc123",
"fuelType": "xyz789",
"fuelTypeSecondary": "abc123",
"kba": "xyz789",
"tags": ["xyz789"],
"hybrid": false,
"vehicleType": "CAR",
"canTow": true,
"canBeTowed": true,
"immobilizerStatus": "UNKNOWN",
"immobilizerStatusUpdatedAt": "2007-12-03T10:15:30Z",
"doorsLockStatus": "UNKNOWN",
"doorsLockStatusUpdatedAt": "2007-12-03T10:15:30Z",
"garageModeStatus": "UNKNOWN",
"garageModeStatusUpdatedAt": "2007-12-03T10:15:30Z",
"archived": true,
"tractionBatteryCapacityKwh": 123,
"fuelTankCapacityLiters": 123,
"descriptions": DescriptionPaged,
"vinDescriptions": DecodeVinResult,
"owner": Account,
"currentDevice": Device,
"currentDriver": Driver,
"groups": GroupPaged,
"lastTrip": Trip,
"trips": TripPaged,
"maintenancesUpcoming": MaintenanceUpcomingPaged,
"maintenancesHistorical": MaintenanceHistoricalPaged,
"maintenanceTemplates": MaintenanceTemplatePaged,
"maintenanceSchedules": MaintenanceSchedulePaged,
"alerts": VehicleAlertPaged,
"alertsState": VehicleAlertsState,
"currentDevices": DevicePaged,
"towingSessionsAsTowingVehicle": TowingSessionPaged,
"towingSessionsAsTrailerVehicle": TowingSessionPaged,
"currentTowingSessionAsTowingVehicle": TowingSession,
"currentTowingSessionAsTrailerVehicle": TowingSession,
"currentTrailerVehicle": Vehicle,
"currentTowingVehicle": Vehicle,
"mobilityTransactions": MobilityTransactionPaged,
"mobilityTransactionAnomalies": MobilityTransactionAnomalyPaged,
"mobilityTransactionStatistics": [
MobilityTransactionsStatisticRow
],
"mobilityTransactionAnomalyStatistics": [
MobilityTransactionAnomaliesStatisticRow
],
"driverSessions": DriverVehicleSessionPaged
}
}
}
vehicleAlert
Description
Get vehicle alert
Response
Returns a VehicleAlert
Arguments
| Name | Description |
|---|---|
id - ID!
|
Example
Query
query vehicleAlert($id: ID!) {
vehicleAlert(id: $id) {
id
type
device {
...DeviceFragment
}
vehicle {
...VehicleFragment
}
icon
lastReceived
lastReported
source
createdAt
updatedAt
status
language
feedbackStatus
feedbacks {
...VehicleAlertFeedbackPagedFragment
}
aggregatedData {
...AggregatedDataFragment
}
}
}
Variables
{"id": "4"}
Response
{
"data": {
"vehicleAlert": {
"id": "4",
"type": "BAD_INSTALLATION",
"device": Device,
"vehicle": Vehicle,
"icon": "abc123",
"lastReceived": "2007-12-03T10:15:30Z",
"lastReported": "2007-12-03T10:15:30Z",
"source": "DEVICE",
"createdAt": "2007-12-03T10:15:30Z",
"updatedAt": "2007-12-03T10:15:30Z",
"status": "ONGOING",
"language": "EN",
"feedbackStatus": "NO",
"feedbacks": VehicleAlertFeedbackPaged,
"aggregatedData": AggregatedData
}
}
}
vehicleAlerts
Description
List vehicle alerts
Response
Returns a VehicleAlertPaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
sort - [VehicleAlertSort!]
|
Sort criteria |
groups - [ID!]
|
Filter by groups |
ids - [ID!]
|
Filter by ids |
isActive - Boolean
|
Filter by activity |
language - LangArg
|
Filter by language |
source - VehicleAlertSourceArg
|
Filter by source |
status - VehicleAlertStatusArg
|
Filter by status |
types - [VehicleAlertTypeArg!]
|
Filter by alert types |
batteryTypes - [VehicleAlertBatteryType!]
|
Filter battery alerts by type |
dtcCode - String
|
Filter DTC alerts by code |
dtcClassification - DtcClassification
|
Filter DTC alerts by classification |
dtcMode - DtcMode
|
Filter DTC alerts by mode |
maintenanceFromVehicle - Boolean
|
Filter maintenance alerts by source |
maintenanceCriticalities - [MaintenanceCriticalityArg!]
|
Filter maintenance alerts by criticality |
warningLightLevel - AlertWarningLightLevelArg
|
Filter by warning light level |
warningLightCode - String
|
Filter by warning lignt code |
Example
Query
query vehicleAlerts(
$pageSize: Int,
$pageId: ID,
$sort: [VehicleAlertSort!],
$groups: [ID!],
$ids: [ID!],
$isActive: Boolean,
$language: LangArg,
$source: VehicleAlertSourceArg,
$status: VehicleAlertStatusArg,
$types: [VehicleAlertTypeArg!],
$batteryTypes: [VehicleAlertBatteryType!],
$dtcCode: String,
$dtcClassification: DtcClassification,
$dtcMode: DtcMode,
$maintenanceFromVehicle: Boolean,
$maintenanceCriticalities: [MaintenanceCriticalityArg!],
$warningLightLevel: AlertWarningLightLevelArg,
$warningLightCode: String
) {
vehicleAlerts(
pageSize: $pageSize,
pageId: $pageId,
sort: $sort,
groups: $groups,
ids: $ids,
isActive: $isActive,
language: $language,
source: $source,
status: $status,
types: $types,
batteryTypes: $batteryTypes,
dtcCode: $dtcCode,
dtcClassification: $dtcClassification,
dtcMode: $dtcMode,
maintenanceFromVehicle: $maintenanceFromVehicle,
maintenanceCriticalities: $maintenanceCriticalities,
warningLightLevel: $warningLightLevel,
warningLightCode: $warningLightCode
) {
next
count
list {
...VehicleAlertFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": "4",
"sort": [VehicleAlertSort],
"groups": ["4"],
"ids": [4],
"isActive": false,
"language": "EN",
"source": "DEVICE",
"status": "ONGOING",
"types": ["BAD_INSTALLATION"],
"batteryTypes": ["STATE_OF_HEALTH_LOW_VOLTAGE"],
"dtcCode": "abc123",
"dtcClassification": "ADVISORY",
"dtcMode": "UNKNOWN",
"maintenanceFromVehicle": false,
"maintenanceCriticalities": ["LOW"],
"warningLightLevel": "ADVISORY",
"warningLightCode": "abc123"
}
Response
{
"data": {
"vehicleAlerts": {
"next": "4",
"count": 987,
"list": [VehicleAlert]
}
}
}
vehicleDesc
Description
Get vehicle description by id
Response
Returns a DecodeVinResult
Arguments
| Name | Description |
|---|---|
id - ID!
|
Example
Query
query vehicleDesc($id: ID!) {
vehicleDesc(id: $id) {
id
vin
kba
kType
decodingRegion
dayOfFirstCirculation
dayOfSale
monthOfFirstCirculation
monthOfSale
yearOfFirstCirculation
yearOfSale
acceleration
advancedModel
bodyType
bodyTypeCode
brakesAbs
brakesFrontType
brakesRearType
brakesSystem
cargoCapacity
co2Emission
coEmission
color
companyId
country
critair
curbWeight
doors
driveType
electricVehicleBatteryCapacity
electricVehicleBatteryVoltage
emissionStandard
engineAspiration
engineBore
engineCode
engineConfiguration
engineCylinderHeadType
engineCylinders
engineDisplacement
engineExtra
engineFiscalPower
engineFuelType
engineFuelTypeSecondary
engineFuelTypeTertiary
engineIgnitionSystem
engineManufacturer
engineOutputPower
engineOutputPowerPs
engineRpmIdleMax
engineRpmIdleMin
engineRpmMax
engineStroke
engineValves
engineVersion
engineWithTurbo
extraInfo {
...VinExtraInfoFragment
}
frontOverhang
frontTrack
fuelEfficiencyCity
fuelEfficiencyCombined
fuelEfficiencyHighway
fuelInjectionControlType
fuelInjectionSubtype
fuelInjectionSystemDesign
fuelInjectionType
gearboxSpeed
gearboxType
grossWeight
hcEmission
hcNoxEmission
height
hipRoomFront
hipRoomRear
length
manufacturer
make
maxRoofLoad
maxTowBarDownload
maxTrailerLoadBLicense
maxTrailerLoadBraked12
maxTrailerLoadUnbraked
model
modelCode
modelVersionCode
noxEmission
oilTemperatureEmission
options {
...DescriptionOptionFragment
}
plate
price
rearOverhang
rearTrack
seats
sliBatteryCapacity
springsFrontType
springsRearType
steeringSystem
steeringType
tankVolume
topSpeed
transmissionElectronicControl
transmissionManufacturerCode
transmissionType
trunkVolume
urlVehicleImage
vehicleType
verified
wheelBase
wheelsDimension
width
}
}
Variables
{"id": 4}
Response
{
"data": {
"vehicleDesc": {
"id": 4,
"vin": "abc123",
"kba": 4,
"kType": "xyz789",
"decodingRegion": "abc123",
"dayOfFirstCirculation": 987,
"dayOfSale": 123,
"monthOfFirstCirculation": 987,
"monthOfSale": 123,
"yearOfFirstCirculation": 123,
"yearOfSale": 987,
"acceleration": 987.65,
"advancedModel": "xyz789",
"bodyType": "abc123",
"bodyTypeCode": "xyz789",
"brakesAbs": "xyz789",
"brakesFrontType": "abc123",
"brakesRearType": "abc123",
"brakesSystem": "xyz789",
"cargoCapacity": 123,
"co2Emission": 987,
"coEmission": 987.65,
"color": "xyz789",
"companyId": "4",
"country": "abc123",
"critair": "xyz789",
"curbWeight": 123,
"doors": 987,
"driveType": "xyz789",
"electricVehicleBatteryCapacity": 987.65,
"electricVehicleBatteryVoltage": 123.45,
"emissionStandard": "xyz789",
"engineAspiration": "xyz789",
"engineBore": 123.45,
"engineCode": "xyz789",
"engineConfiguration": "xyz789",
"engineCylinderHeadType": "abc123",
"engineCylinders": 123,
"engineDisplacement": 123,
"engineExtra": "xyz789",
"engineFiscalPower": 123,
"engineFuelType": "OTHER",
"engineFuelTypeSecondary": "OTHER",
"engineFuelTypeTertiary": "OTHER",
"engineIgnitionSystem": "xyz789",
"engineManufacturer": "abc123",
"engineOutputPower": 123,
"engineOutputPowerPs": 123,
"engineRpmIdleMax": 123,
"engineRpmIdleMin": 987,
"engineRpmMax": 123,
"engineStroke": 123.45,
"engineValves": 123,
"engineVersion": "abc123",
"engineWithTurbo": true,
"extraInfo": VinExtraInfo,
"frontOverhang": 987,
"frontTrack": 123,
"fuelEfficiencyCity": 123.45,
"fuelEfficiencyCombined": 987.65,
"fuelEfficiencyHighway": 987.65,
"fuelInjectionControlType": "abc123",
"fuelInjectionSubtype": "xyz789",
"fuelInjectionSystemDesign": "abc123",
"fuelInjectionType": "xyz789",
"gearboxSpeed": 123,
"gearboxType": "xyz789",
"grossWeight": 123,
"hcEmission": 123.45,
"hcNoxEmission": 987.65,
"height": 987,
"hipRoomFront": 123,
"hipRoomRear": 987,
"length": 123,
"manufacturer": "abc123",
"make": "xyz789",
"maxRoofLoad": 987,
"maxTowBarDownload": 987,
"maxTrailerLoadBLicense": 987,
"maxTrailerLoadBraked12": 987,
"maxTrailerLoadUnbraked": 123,
"model": "xyz789",
"modelCode": "abc123",
"modelVersionCode": "abc123",
"noxEmission": 123.45,
"oilTemperatureEmission": 123.45,
"options": [DescriptionOption],
"plate": "abc123",
"price": 123,
"rearOverhang": 987,
"rearTrack": 987,
"seats": 987,
"sliBatteryCapacity": 123.45,
"springsFrontType": "abc123",
"springsRearType": "xyz789",
"steeringSystem": "abc123",
"steeringType": "xyz789",
"tankVolume": 987,
"topSpeed": 987,
"transmissionElectronicControl": "xyz789",
"transmissionManufacturerCode": "xyz789",
"transmissionType": "abc123",
"trunkVolume": 987,
"urlVehicleImage": "xyz789",
"vehicleType": "xyz789",
"verified": true,
"wheelBase": 987,
"wheelsDimension": "abc123",
"width": 123
}
}
}
vehicleService
Description
Get Vehicle service by ID
Response
Returns a VehicleService
Arguments
| Name | Description |
|---|---|
id - ID!
|
Vehicle service ID |
Example
Query
query vehicleService($id: ID!) {
vehicleService(id: $id) {
id
label
description
workshops {
...WorkshopPagedFragment
}
}
}
Variables
{"id": "4"}
Response
{
"data": {
"vehicleService": {
"id": "4",
"label": "abc123",
"description": "xyz789",
"workshops": WorkshopPaged
}
}
}
vehicleServices
Description
List Vehicle services
Response
Returns a VehicleServicePaged
Example
Query
query vehicleServices(
$pageSize: Int,
$pageId: ID,
$label: String
) {
vehicleServices(
pageSize: $pageSize,
pageId: $pageId,
label: $label
) {
next
count
list {
...VehicleServiceFragment
}
}
}
Variables
{
"pageSize": 987,
"pageId": "4",
"label": "abc123"
}
Response
{
"data": {
"vehicleServices": {
"next": "4",
"count": 123,
"list": [VehicleService]
}
}
}
vehicleType
Description
Get Vehicle type by ID
Response
Returns a VehicleType
Arguments
| Name | Description |
|---|---|
id - ID!
|
Vehicle type ID |
Example
Query
query vehicleType($id: ID!) {
vehicleType(id: $id) {
id
label
description
workshops {
...WorkshopPagedFragment
}
}
}
Variables
{"id": 4}
Response
{
"data": {
"vehicleType": {
"id": 4,
"label": "abc123",
"description": "xyz789",
"workshops": WorkshopPaged
}
}
}
vehicleTypes
Description
List Vehicle types
Response
Returns a VehicleTypePaged
Example
Query
query vehicleTypes(
$pageSize: Int,
$pageId: ID,
$label: String
) {
vehicleTypes(
pageSize: $pageSize,
pageId: $pageId,
label: $label
) {
next
count
list {
...VehicleTypeFragment
}
}
}
Variables
{
"pageSize": 987,
"pageId": "4",
"label": "xyz789"
}
Response
{
"data": {
"vehicleTypes": {
"next": "4",
"count": 123,
"list": [VehicleType]
}
}
}
vehicles
Description
Get the logged-in user vehicle list
Response
Returns a VehiclePaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
ids - [ID]
|
Filter by ids |
plates - [String]
|
Filter by plates |
labels - [String]
|
Filter by labels |
vins - [String]
|
Filter by VINs |
modelIds - [ID]
|
Model ID |
ktypes - [String]
|
KType |
makes - [String]
|
Model make |
models - [String]
|
Model |
years - [String]
|
Model Year |
fuelTypes - [String]
|
Primary fuel type |
fuelTypeSecondaries - [String]
|
Secondary fuel type |
kba - [String]
|
KBA |
onboarded - Boolean
|
onboarded |
hasDriver - Boolean
|
has_driver |
hybrid - Boolean
|
hybrid |
anyFuelTypes - [String]
|
Primary or secondary fuel type |
vehicleTypes - [VehicleTypeName]
|
Vehicle type |
canTow - Boolean
|
can be used as towing vehicle |
canBeTowed - Boolean
|
can be used as trailer vehicle |
immobilizerStatuses - [ImmobilizerStatus]
|
Filter by immobilizer status. |
doorsLockStatuses - [DoorsLockStatus]
|
Filter by doors lock status. |
garageModeStatuses - [GarageModeStatus]
|
Filter by garage mode status. |
archived - Boolean
|
Filter by archived |
multi - [String]
|
Filter by Vehicle plate, vin, make and model, by Driver label and by Device imei. |
Example
Query
query vehicles(
$pageSize: Int,
$pageId: ID,
$ids: [ID],
$plates: [String],
$labels: [String],
$vins: [String],
$modelIds: [ID],
$ktypes: [String],
$makes: [String],
$models: [String],
$years: [String],
$fuelTypes: [String],
$fuelTypeSecondaries: [String],
$kba: [String],
$onboarded: Boolean,
$hasDriver: Boolean,
$hybrid: Boolean,
$anyFuelTypes: [String],
$vehicleTypes: [VehicleTypeName],
$canTow: Boolean,
$canBeTowed: Boolean,
$immobilizerStatuses: [ImmobilizerStatus],
$doorsLockStatuses: [DoorsLockStatus],
$garageModeStatuses: [GarageModeStatus],
$archived: Boolean,
$multi: [String]
) {
vehicles(
pageSize: $pageSize,
pageId: $pageId,
ids: $ids,
plates: $plates,
labels: $labels,
vins: $vins,
modelIds: $modelIds,
ktypes: $ktypes,
makes: $makes,
models: $models,
years: $years,
fuelTypes: $fuelTypes,
fuelTypeSecondaries: $fuelTypeSecondaries,
kba: $kba,
onboarded: $onboarded,
hasDriver: $hasDriver,
hybrid: $hybrid,
anyFuelTypes: $anyFuelTypes,
vehicleTypes: $vehicleTypes,
canTow: $canTow,
canBeTowed: $canBeTowed,
immobilizerStatuses: $immobilizerStatuses,
doorsLockStatuses: $doorsLockStatuses,
garageModeStatuses: $garageModeStatuses,
archived: $archived,
multi: $multi
) {
next
count
list {
...VehicleFragment
}
}
}
Variables
{
"pageSize": 123,
"pageId": "4",
"ids": ["4"],
"plates": ["xyz789"],
"labels": ["abc123"],
"vins": ["abc123"],
"modelIds": ["4"],
"ktypes": ["xyz789"],
"makes": ["xyz789"],
"models": ["abc123"],
"years": ["abc123"],
"fuelTypes": ["abc123"],
"fuelTypeSecondaries": ["abc123"],
"kba": ["xyz789"],
"onboarded": true,
"hasDriver": false,
"hybrid": false,
"anyFuelTypes": ["abc123"],
"vehicleTypes": ["CAR"],
"canTow": true,
"canBeTowed": true,
"immobilizerStatuses": ["UNKNOWN"],
"doorsLockStatuses": ["UNKNOWN"],
"garageModeStatuses": ["UNKNOWN"],
"archived": true,
"multi": ["xyz789"]
}
Response
{
"data": {
"vehicles": {
"next": 4,
"count": 987,
"list": [Vehicle]
}
}
}
warningIcons
Description
List warning icons
Response
Returns a WarningIconPaged
Example
Query
query warningIcons(
$pageSize: Int,
$pageId: ID,
$codes: [String!],
$names: [String!]
) {
warningIcons(
pageSize: $pageSize,
pageId: $pageId,
codes: $codes,
names: $names
) {
next
count
list {
...WarningIconFragment
}
}
}
Variables
{
"pageSize": 987,
"pageId": 4,
"codes": ["xyz789"],
"names": ["xyz789"]
}
Response
{
"data": {
"warningIcons": {
"next": 4,
"count": 987,
"list": [WarningIcon]
}
}
}
weather
Description
Get Weather using coordinates
Response
Returns a WeatherCoordinates
Example
Query
query weather(
$latitude: Float!,
$longitude: Float!,
$time: DateTime
) {
weather(
latitude: $latitude,
longitude: $longitude,
time: $time
) {
latitude
longitude
temperature
time
weatherId
weather
}
}
Variables
{
"latitude": 123.45,
"longitude": 123.45,
"time": "2007-12-03T10:15:30Z"
}
Response
{
"data": {
"weather": {
"latitude": 123.45,
"longitude": 987.65,
"temperature": 123.45,
"time": "2007-12-03T10:15:30Z",
"weatherId": 987,
"weather": "abc123"
}
}
}
wifiStatus
Description
Get wifi status
Response
Returns a RdcAsyncAck
Arguments
| Name | Description |
|---|---|
deviceId - ID!
|
Device id |
Example
Query
query wifiStatus($deviceId: ID!) {
wifiStatus(deviceId: $deviceId) {
id
type
attributes
}
}
Variables
{"deviceId": 4}
Response
{
"data": {
"wifiStatus": {
"id": "4",
"type": "abc123",
"attributes": Json
}
}
}
workday
Description
Get Workday by ID
Example
Query
query workday($id: ID!) {
workday(id: $id) {
id
day
openingHour1
closingHour1
openingHour2
closingHour2
workshop {
...WorkshopFragment
}
}
}
Variables
{"id": "4"}
Response
{
"data": {
"workday": {
"id": 4,
"day": "MONDAY",
"openingHour1": "abc123",
"closingHour1": "xyz789",
"openingHour2": "abc123",
"closingHour2": "abc123",
"workshop": Workshop
}
}
}
workshop
Description
Get Workshop by ID
Example
Query
query workshop($id: ID!) {
workshop(id: $id) {
id
name
code
provider
providerWorkshopId
lat
lon
address
postalCode
province
brand
city
country
phone
internationalPhone
fax
email
web
language
timeZone
icon
averageStars
ratings {
...RatingPagedFragment
}
workdays {
...WorkdayPagedFragment
}
vehicleTypes {
...VehicleTypePagedFragment
}
vehicleServices {
...VehicleServicePagedFragment
}
driverServices {
...DriverServicePagedFragment
}
bookings {
...BookingPagedFragment
}
quotations {
...QuotationPagedFragment
}
managers {
...WorkshopManagerPagedFragment
}
}
}
Variables
{"id": "4"}
Response
{
"data": {
"workshop": {
"id": "4",
"name": "xyz789",
"code": "abc123",
"provider": "xyz789",
"providerWorkshopId": 4,
"lat": 123.45,
"lon": 123.45,
"address": "abc123",
"postalCode": "abc123",
"province": "abc123",
"brand": "abc123",
"city": "abc123",
"country": "xyz789",
"phone": "xyz789",
"internationalPhone": "abc123",
"fax": "abc123",
"email": "abc123",
"web": "abc123",
"language": Language,
"timeZone": "abc123",
"icon": "abc123",
"averageStars": 987.65,
"ratings": RatingPaged,
"workdays": WorkdayPaged,
"vehicleTypes": VehicleTypePaged,
"vehicleServices": VehicleServicePaged,
"driverServices": DriverServicePaged,
"bookings": BookingPaged,
"quotations": QuotationPaged,
"managers": WorkshopManagerPaged
}
}
}
workshops
Description
List Workshops
Response
Returns a WorkshopPaged
Arguments
| Name | Description |
|---|---|
pageSize - Int
|
Results per page (initial query) |
pageId - ID
|
Request page id (followup queries) |
name - String
|
Workshop name |
brand - String
|
Workshop brand |
code - String
|
Workshop code |
country - String
|
Workshop country |
city - String
|
Workshop city |
address - String
|
Workshop address |
postalCode - String
|
Workshop postal code |
province - String
|
Workshop province |
phone - String
|
Workshop phone |
internationalPhone - String
|
[...]
